Programmzweck

Immer mehr Benutzer speichern ihre Bilder in elektronischem Format als Dateien im Computer. Zweifellos hat dies gegenüber der herkömmlichen Papierform entscheidende Vorteile: Bilddateien brauchen sehr wenig Platz (auf eine herkömmliche CD-R passen über 5000 Fotos in akzeptabler Qualität), können sehr leicht vervielfältigt, angezeigt und sogar Freunden und Verwandten vorgeführt werden, oder auch Feinden (insbesondere wenn sie per email in Dateigrößen von über 20 MB verschickt werden).

Bei einer sehr großen Anzahl von Bilddateien kann die Suche nach einem spezifischen Bild extrem aufwändig werden. Die einfachste Art und Weise einer Bilderverwaltung wäre etwa das Abspeichern der Bilddateien in eigenen Ordnern, wobei den Ordnern Namen gegeben werden, die auf den Inhalt der Bilddateien schließen lassen ("Familie", "Beruf", "unser Hund", etc.). Dabei kommt es aber notgedrungen zu widersprüchlichen Anordnungen: Wie kann denn die Kategorisierung nach Datum und die Kategorisierung nach Themen miteinander vereinbart werden, oder die Anordnung nach Ereignissen mit einer Anordnung nach Orten? Wie kann ein Photo mit einer Beschreibung versehen werden (manche Programme können zwar eine Beschreibung mit dem Bild direkt abspeichern, aber auf eine eher umständliche Art)? Wie kann unter 1287 Bildern der Gruppe "unser Hund" genau jenes Foto des Hundes wiedergefunden werden, in dem er vom Balkon im 3. Stock in den Garten springt?

Zur Lösung dieser Aufgaben habe ich ein Bildverwaltungsprogramm entwickelt, das verschiedenen Bildformate (Zeichnungen, Fotos, Screenshots und andere) kategorisieren kann und die Suche nach bestimmten Bildern erleichtert.

Das Programm bekam den Namen PhoA - eine Abkürzung für 'Photo Album', wobei die vom Programm erstellten Dateien ebenfalls die Erweiterung .phoa erhalten.

Weiter >>

Copyright ©2002-2004 Dmitry Kann. Alle Rechte vorbehalten.


Funktionsweise

Im Wesentlichen speichert das Programm Verknüpfungen zu Bildern, oder genauer gesagt zu Bilddateien. Werden Bilder nämlich getrennt abgespeichert, können diese programmunabhängig kopiert und mit jedem beliebigen Bildbetrachter angesehen werden. Außerdem kann der Speicherplatz für die Verknüpfungen reduziert werden.

Bilder werden in Gruppen gesammelt, diese hierarchisch geordnet, ähnlich der Baumhierarchie des Windows Explorer. Gruppen werden im linken Fenster als Ordner, die Bilder der entsprechenden Gruppe im rechten Programmfenster angezeigt.

Die Gruppen selbst enthalten jedoch keine Verknüpfungen zu den Bilddateien. Diese sind in einer Liste abgespeichert, die die Verknüpfungen zu allen Bildern des Albums und die entsprechenden Bilddaten enthält.

Die einzelnen Gruppen werden aus dieser Liste mit Verknüpfungen gefüllt und enthalten somit "Verknüpfungen zu Verknüpfungen zu Bildern". Die folgende Grafik veranschaulicht dies:

Wozu dieser Aufwand? Bilder, die einmal in PhoA beschrieben wurden, können dadurch jeder beliebigen Gruppe oder auch allen Gruppen hinzugefügt werden, wobei jeweils immer nur eine Verknüpfung zu der eigentlichen, nur einmal vorhandenen Beschreibung der Bilddatei (Datum, Speicherort etc.) hergestellt wird.

Weiter >>


Dateiformate

Wie bereits erwähnt arbeitet PhoA mit Fotoalbum-Dateien mit der Erweiterung .phoa - diese Dateien enthalten:

  • Beschreibung und Einstellungen des Fotoalbums;
  • Liste der Bilder mit ihren Beschreibungen;
  • eine Hierachie der Ordner-Gruppen, jeweils mit einer spezifischen Anzahl an Verknüpfungen zu den Bilddateien;
  • Ansichtenstruktur (PhoA-Versionen 1.0.1+).

Dateien mit der Erweiterung .phoa können nur mit PhoA geöffnet werden. Ab PhoA Version 1.1.1a können jedoch eigene Tools eingesetzt werden, da das PhoA-Dateiformat offengelegt wurde: Siehe dazu die offizielle Programm-Homepage, mit zusätzlichen Informationen.

Die aktuelle Version erkennt die folgenden Formate von Bilddateien (bitte Pluszeichen klicken zum Anzeigen der Detailinformation):

Standard Windows and OS/2 Bitmap Bilder (*.bmp, *.rle, *.dib)

  • byte order: little endian
  • sample sizes: 1, 4, 8 bits per sample
  • color spaces: indexed, RGB(A)
  • compression formats: uncompressed, RLE

JPEG Bilder (*.jpg; *.jpeg; *.jpe)

  • byte orders: little endian, big endian
  • sample sizes: 8 bits per sample
  • color spaces: grayscale, RGB

TIFF images (*.tif; *.tiff)

  • byte orders: little endian, big endian
  • sample sizes: 1, 2, 4, 8, 16 bits per sample
  • color spaces: indexed, grayscale, RGB(A), CMYK, L*a*b*
  • compression formats: uncompressed, packed bits, LZW, CCITT T.4 (raw and modified fax group 3, possibly word aligned), ThunderScan, Deflate, new style JPEG

GFI Faxbilder (*.fax)

  • sample size: 1 bits per sample
  • color space: indexed
  • compression format: CCITT T.4 (raw and modified fax group 3)

SGI Bilder (*.bw, *.rgb, *.rgba, *.sgi)

  • byte order: big endian
  • sample sizes: 1, 2, 4, 8, 16 bits per sample
  • color spaces: indexed, grayscale, RGB(A)
  • compression formats: uncompressed, RLE

Autodesk Bilddateien (*.cel; *.pic)

  • byte order: little endian
  • sample size: 8 bits per sample
  • color spaces: indexed
  • compression format: uncompressed

Truevision Targa Bilder (*.tga; *.vst; *.icb; *.vda; *.win)

  • byte order: little endian
  • sample sizes: 5, 8 bits per sample
  • color spaces: gray scale, indexed, 15 bits RGB (555), 24 bits RGB(A)(888)
  • compression formats: uncompressed, RLE

ZSoft Paintbrush Bilder (*.pcx, *.pcc)

  • byte order: little endian
  • sample sizes: 1, 2, 4, 8 bits per sample
  • color spaces: gray scale, indexed, RGB
  • compression formats: uncompressed, RLE

Word 5.x Bildschirmausdruck (*.scr)

  • byte order: little endian
  • sample sizes: 1, 2, 4, 8 bits per sample
  • color spaces: indexed, gray scaleRGB
  • compression formats: uncompressed, RLE

Kodak Photo-CD Bilder (*.pcd)

  • byte order: little endian
  • samples size: 8 bits per sample
  • color space: YCbCr
  • compression: PCD Huffmann
  • specials:
    • sizes: all resolutions, from 192 x 128 up to 6144 x 4096 (64 Base vaporware)
    • rotated: clockwise and counter-clockwise

Portable pixel/gray map Bilder (*.ppm, *.pgm, *.pbm)

  • byte order: little endian
  • sample sizes: 1, 8 bits per sample
  • color spaces: gray scale, indexed, RGB
  • compression format: uncompressed
  • specials:
    • ASCII and Binary format

Dr. Halo Bilder (*.cut, *.pal)

  • byte order: little endian
  • sample size: 8 bits per sample
  • color spaces: indexed
  • compression formats: RLE
  • specials:
    • external palette file (*.pal) is automatically loaded

CompuServe GIF Bilder (*.gif)

  • byte order: little endian
  • sample sizes: 1, 4, 8 bits per sample
  • color spaces: indexed
  • compression format: LZW
  • specials:
    • interlaced, non-interlaced

SGI Wavefront Bilder (*.rla, *.rpf)

  • byte order: big endian
  • sample size: 8 bits per sample
  • color space: RGB(A)
  • compression formats: RLE

Photoshop Bilder (*.psd, *.pdd)

  • byte order: big endian
  • sample sizes: 1, 8, 16 bits per sample
  • color spaces: indexed, RGB, CMYK, CIE L*a*b*
  • compression formats: uncompressed, packed bits
  • special:
    • duo tone

Paint Shop Pro Bilder (*.psp)

  • byte order: little endian
  • sample sizes: 1, 4, 8 bits per sample
  • color spaces: indexed, gray scale, RGB
  • compression formats: uncompressed, LZ77

Portable Network Graphic Bilder (*.png)

  • byte order: big endian
  • sample sizes: 1, 2, 4, 8, 16 bits per sample
  • color spaces: indexed, grayscale (alpha), RGB(A)
  • compression format: LZ77
  • specials:
    • supported chunks: IHDR, IDAT, IEND, PLTE, gAMA, tRNS, bKGD
    • transparency support partially for RGB, which is stored as 32 bits format

Diese umfangreiche Formatunterstützung wurde erreicht dank Mike Lischke.

Weiter >>


Thumbnails

Die maximalen Abmessungen der Miniaturansichten (Thumbnails) für die eingefügten Bilder werden in den Eigenschaften Fotoalbum festgelegt (d.h. für jedes Fotoalbum kann die Größe der Thumbnails bestimmt werden), der Standardwert ist 150 x 150 Pixel. Bei größeren Bildern wird der Thumbnails durch eine entsprechende Verkleinerung erstellt.

PhoA-Thumbnails werden immer im JPEG Format abgespeichert, das eine hohe Kompressionsrate erlaubt. Die Qualität der Thumbnails kann in den Optionen festgelegt werden: höhere Qualität erleichtert die Bilderkennung, führt jedoch auch zu einem erhöhten Platzbedarf. Da die Thumbnails direkt im Fotoalbum (*.phoa) gespeichert werden, beeinflussen Größe und Qualität der Thumbnails auch die Dateigröße der Fotoalbumdatei sowie ihren Platzbedarf im Speicher.

Weiter >>


Hauptbetriebsarten

PhoA arbeitet mit zwei Hauptbetriebsarten:

  • Bilder browsen und anordnen;
  • Bilder anzeigen.

Diese beiden Betriebsarten entsprechen in ihrer Funktion genau einigen sehr gut bekannten Programmen, die hier nicht namentlich genannt werden sollen ...

Browser Modus

In diesem Modus gleicht das Hauptfenster sehr dem Standardfenster des Windows Explorer: Im linken Fenster wird das Baumdiagramm der Gruppen (Ordner) angezeigt, im rechten Fenster hingegen die Thumbnails und ihre Beschreibung für die gewählte Gruppe. Im Browser Modus können für das Fotoalbum neue Gruppen angelegt werden, in den einzelnen Gruppen Bilder hinzugefügt, gelöscht, bearbeitet oder auch zwischen den Gruppen herumgeschoben werden, bzw. zusätzliche Bildoperationen ausgeführt werden.

mehr dazu >>

Anzeigemodus

Es wäre wohl seltsam, sollte ein Bilderverwaltungssystem keine Funktion zur Bildanzeige besitzen. PhoA kann einzelne Bilder (die Quellbilder, d.h. die Bilder auf deren Grundlage die Thumbnails angelegt wurden) anzeigen. Die Anzeige unterstützt das Skalieren der Bilder (vergrößern/verkleinern) mit Bildlauf, das Wechseln zum nächsten bzw. zum vorherigen Bild, zum ersten bzw. letzten Bild in der aktuellen Gruppe, das Umschalten zwischen Vollbildmodus und Fensteranzeige.

mehr dazu >>

Weiter >>


PhoA: Funktionen und Vorteile

Die Vorteile, die PhoA beim Arbeiten mit Fotos, Grafiken und Zeichnungen bietet, sind offensichtlich:

  • Das Programm bedarf keinerlei Installation und besteht (zur Zeit) ausschließlich aus der Programmdatei phoa.exe. Was bedeutet das? Das Bedeutet, dass es gemeinsam mit den erstellten Fotoalbumdateien (*.phoa) kopiert und weitergegeben werden kann. Durch das Erstellen einer CD-R mit einer entsprechenden autorun.inf-Datei im Hauptverzeichnis können die Fotoalben auf jedem PC präsentiert werden, und zwar durch einfaches Einlegen der CD (auf PCs mit eingeschalteter Autorun-Funktion). Das Programm gibt nicht einmal eine Fehlermeldung aus, wenn es die phoa.chm-Hilfedatei nicht findet.
  • Mit dem Programm können Kataloge (Fotoalbums) erstellt werden, die ganz unterschiedliche Bilder enthalten. Die Bilder werden in Gruppen ähnlich den Ordnern im Windows Explorer angeordnet. Die Bilder können in beinahe jedem Rasterformat vorliegen, einige Vektorformate werden auch unterstützt. Nähere Details zu den unterstützten Dateiformaten finden Sie hier.
  • Jedes Bild kann Angaben zu Datum, Ort, Filmnummer und -name, Framenummer, Schlüsselwörter, Beschreibung, Autor usw. enthalten. Ein Thumbnail - eine verkleinerte Ansicht eines Bildes - wird automatisch generiert (einige implementierte Resampling-Algorithmen). Die Abmessungen der Thumbnails können in den Eigenschaften Fotoalbum festgelegt werden, die Thumbnails selbst werden in der Fotoalbumdatei abgespeichert; dies erlaubt das nahezu verzögerungsfreie Öffnen und Anzeigen des Fotoalbums. Die Thumbnails werden mit dem JPEG-Verfahren komprimiert und können während des Anzeigemodus im Cachespeicher zwischengespeichert werden.
  • PhoA erlaubt eine augenblickliche Suche im Fotoalbum nach Bilddateinamen, Datum, Ort, Schlüsselwörter, Beschreibungstext usw.; die Suchergebnisse werden als eine eigene Gruppe angezeigt und können den Bildern einer beliebigen anderen Gruppe zugeordnet werden.
  • Das Fotoalbum enthält relative Pfade zu den Bilddateien: Dadurch kann das Fotoalbum beliebig kopiert oder verschoben werden, wenn nur die ursprüngliche Beziehung zwischen dem Fotoalbum und den Bildern erhalten bleibt. Wenn jedoch das Fotoalbum auf einem anderen Laufwerk oder einem Netzwerkserver angelegt wird (bzw. umgekehrt die Bilddateien sich sich auf einem Netzwerkserver und das Fotoalbum auf der lokalen Festplatte befinden), werden im Fotoalbum absolute Pfade angelegt und der Speicherort des Fotoalbums ist gänzlich unabhängig vom Speicherort dieser Bilddateien.
  • Eine Option erlaubt das Anzeigen von Tooltips im Browsermodus. Auch der Inhalt der Tooltips ist anpassbar.
  • PhoA besitzt eine Sortierfunktion für die Bilder der ausgewählten Gruppe oder auch des gesamten Fotoalbums. Sortierkriterien können beinahe alle verfügbaren Daten sein, eine beliebige Anzahl von Sortierkriterien kann festgelegt werden; das Programm behält die letzte Sortierung bei.
  • Das Programm beherrscht Ansichten: eine neuartige Technologie für den Browsermodus. Dadurch können mit geringstem Aufwand Unmengen von Bildern in neue Ordner/Gruppen klassifiziert werden. Einzige Voraussetzung dafür ist das ordnungsgemäße Ausfüllen der Bildeigenschaften. Diese Eigenschaften dienen dem Zuordnen der Bilder zu neuen Ordnern/Gruppen. Mögliche Zuordnungsbedingungen sind: nach dem Pfadnamen der Bilddatei, nach Datum und Zeit (in verschiedener Anordnung), nach Ort, nach Schlüsselwörtern, usw. Die Gruppen können hierarchisch aufgebaut werden, d.h. eine Zuordnungsbedingung nach der anderen definieren, die Anzahl der hierarchischen Gruppen ist eine Frage des Überblicks. Das Resultat der Zuordnung (Baumansicht mit den enstprechenden Bildern) kann sehr leicht in eine beliebige Gruppe des Fotoalbums integriert, und danach jeweils beliebig bearbeitet werden.
  • PhoA kann Bilder anzeigen (im Fenster or im Vollbildmodus) und ihre Beschreibungen. Die Anzeigeparameter werden in den Programm-Optionen festgelegt; es gibt einen Diashow-Modus, die Möglichkeit Bilder zu skalieren (vergrößern und verkleinern mit einer Reihe von Resampling-Filtern) sowie Panning mit Maus oder Tastatur. Die Bilder werden in Parallelverarbeitung dekodiert, wodurch das nächste Bild während der Anzeige im Hintergrund geladen werden kann. Zusätzlich besteht eine Einstellmöglichkeit, das zuletzt angezeigte Bild zwischenzuspeichern.
  • Das Programm unterstützt die Zwischenablage: Bilder können in die Zwischenablage kopiert oder ausgeschnitten und in eine andere Gruppe oder sogar in ein anderes Fotoalbum eingefügt werden.
  • Eine voll funktionsfähige Rückgängig-Funktion ist vorhanden: Jeder falsche Befehl oder auch Befehlsfolgen können rückgängig gemacht werden. Die maximal möglichen Schritte (Größe des Pufferspeichers) werden in den PhoA-Optionen eingestellt.
  • Daneben verfügt das Programm über eine Reihe von Tools-Funktionen (Statistiken, Bildoperationen zwischen den einzelnen Gruppen etc.)
  • PhoA schaut gut aus, reagiert immer gutartig und besitzt eine gelungene Benutzeroberfläche. Was könnte man darüber hinaus verlangen?

Anmerkung. Das Format der Fotoalbumdateioen (.phoa) kann sich während der Programmentwicklung ändern. Ich werde alles daran setzen, die Rückwärtskompatibilität zu erhalten, d.h. künftige Versionen sollten die Fotoalben älterer Versionen öffnen (und sogar speichern) können.

Weiter >>


Systemanforderungen

Zum Installieren des Programmes benötigen Sie ein Betriebssystem, Speicherplatz auf der Festplatte und im Hauptspeicher. Genauer gesagt, läuft PhoA unter Windows 95/98/ME/NT/2000/XP, braucht ungefähr 2 MB Festplattenspeicher und mindestens 16 MB RAM Hauptspeicher. Da beim Öffnen das gesamte Fotoalbum in den Hauptspeicher geladen wird, empfehlen wir für größere Fotoalben mit vielen Bildern (1000+) einen entsprechend großen Hauptspeicher (32-64 MB für Windows 95/98/ME/NT, 128 MB für Windows 2000 & XP).

Weiter >>


Bildeigenschaften

Die derzeitige Version von PhoA erlaubt für jedes einzelne Bild das Speichern, Anzeigen und Bearbeiten (sofern das Feld editierbar ist) der folgenden Eigenschaften. Darüber hinaus kann nach Bildern auf der Grundlage dieser Eigenschaften gesucht werden, sofern das entsprechende Feld als Suchkriterium zugelassen ist.
Name | Datentyp | editierbar | Suchkriterium | Beschreibung
ID | Zahl | Nein | Ja | Interne Identifikationsnummer, einzigartig für jedes Bild. Im Fotoalbum ist sie jeweils mit dem entsprechenden Dateinamen verbunden und wird zur Identifikation des Bildes und zum Herstellen von Verknüpfungen zum Bild verwendet.
Bilddateinamen | Zeichenfolge des Dateinamens | Nein | Ja | Bilddateinamen (ohne Pfadangabe)
gesamter Bilddateinamen | Zeichenfolge des Dateinamens | Nein | Nein | Bilddateinamen mit Pfadangabe. Der gesamte Bilddateiname ist einzigartig für jedes Bild im Fotoalbum.
Bilddateipfad | Zeichenfolge | Nein | Ja | Nur Pfadangabe des gesamten Bilddateinamen.
Bilddateigröße | Zeichenfolge | Nein | Nein | "Für den Menschen lesbare" Darstellung der Bilddateigrösse, z.B. 212,45 Kbytes oder 839 Bytes.
Bilddateigröße in Bytes | Integer | Nein | Ja | Bilddateigröße in Bytes ausgedrückt, z.B. 678233.
Bildbreite | Integer | Nein | Ja | Bildbreite in Pixel ausgedrückt.
Bildhöhe | Integer | Nein | Ja | Bildhöhe in Pixel ausgedrückt.
Bildabmessungen | Zeichenfolge | Nein | Nein | Bildabmessungen in Pixel ausgedrückt im Format Breite x Höhe, z.B. 1024x768.
Bildformat | Pixelformat | Nein | Nein | Pixelformat des Bildes, z.B. 1-bit (monochrome) oder Geräteabhängig.
Datum | Datum | Ja | Ja | Datum des aufgenommenen Bildes, im Zeitraum vom 1. Januar 0001 bis zum 31. Dezember 9999.
Zeit | Zeit | Ja | Ja | Zeitpunkt des aufgenommenen Bildes, im Zeitraum von 00:00:01 (der Wert 00:00:00 gilt als keine Angabe) bis 23:59:59.
Ort | Zeichenfolge | Ja | Ja | Ort an dem das Bild aufgenommen wurde.
Filmnummer oder -name | Zeichenfolge | Ja | Ja | Falls das Bild mit einer Filmkamera aufgenommen wurde - die Nummer die dem Film mit dem Bild bei der Entwicklung zugeordnet wurde (in der Regel einzigartig), oder der vergebene Name.
Frame Nummer | Zeichenfolge | Ja | Ja | Falls das Bild mit einer Filmkamera aufgenommen wurde - die Nummer des Frames mit dem Bild, z.B. 20 oder 4A.
Autor | Zeichenfolge | Ja | Ja | Der Name des Autors bzw. Fotografen, der das Bild aufgenommen hat.
Medienname oder -code | Zeichenfolge | Ja | Ja | Name des Mediums auf dem die Bilddatei gespeichert ist (z.B., Nummer einer CD-ROM).
Schlüsselwörter | Liste von Zeichenfolgen | Ja | Ja | Liste der Schlüsselwörter, die einem Bild zugeordnet wurden - Personen oder Sachen z.B. Immer in alphabetischer Reihenfolge, der Vergleich erfolgt unabhängig von Groß- oder Kleinschreibung.
Beschreibung | Zeichenfolge | Ja | Ja | Kurze Beschreibung des Bildinhaltes, zum Anzeigen während der Bildansicht (empfohlene Verwendung).
Anmerkungen | Zeichenfolge | Ja | Ja | Zusätzliche Informationen, die in keinem anderen Feld angegeben werden können.

Siehe auch:

Browser Modus
Arbeiten im Browser Modus
Dialog Bildersuche
Dialog Bearbeiten Eigenschaften Bild


Resampling

Bilder können bei einer Verkleinerung oder Vergrößerung oft "unscharf" erscheinen. Diese Unschärfe kann durch zwei Vorgänge gesteuert werden: Resampling und Filtern.

Der Filtervorgang versucht die veränderten Pixel zu glätten (verwischen). Wird ein Bild für eine andere Auflösung resampled, muss die alte Pixelanordnung durch eine neue ersetzt (interpoliert) werden. Dies erfordert eine Art von Bildinterpolierung, von denen es mehrere Methoden gibt. Die einfachste und schnellste Methode ist die Nearest-Neighbour-Methode, auch bekannt als Quick-Filter. Falls die Auflösungsanpassung nicht zu groß ist, kann diese Methode durchaus adäquat sein. Bei höheren Vergrößerungen können die einzelnen Pixel jedoch als Blöcke erscheinen. Bei größeren Verkleinerungen hingegen kann das Anti-Aliasing auftreten, wodurch das Bild unscharf erscheint. In solchen Fällen ist die Verwendung einer genaueren Interpolierungsmethode angebracht, dies erfordert jedoch einern höheren Zeitaufwand. Die am häufigsten verwendten Filtermethoden sind Nearest-Neighbor, Bilinear and B-spline, in der Reihenfolge ihrer Genauigkeit. Folgende Filter sind in PhoA implementiert:

  • Nearest-Neighbor;
  • Linear (bilinear);
  • B-spline (bicubic);
  • Lanczos;
  • Mitchell.


Metadaten

Bilddateien beinhalten nicht nur graphische Daten, sondern zusätzlich auch sogenannte Metadaten. Diese Metadaten werden von fast allen Digitalkameras den Dateien hinzugefügt und beinhalten in der Regel Datum, Uhrzeit, Kameraeinstellungen (Ausrichtung, Blitz, Blendenwert) usw.

Diese Daten können dann mit Hilfe von anderen Programmen aufgerufen und angezeigt werden. Dabei liefern sie wertvolle und verlässliche Informationen, die in den Bilddateien gespeichert sind.

NB: Das Problem dabei ist allerdings, dass Bilder aufgrund des Dateiformats mit jedem beliebigen Programm geöffnet werden können, egal, ob sie Metadaten enthalten oder nicht und ob diese vom Programm unterstützt werden oder nicht. Wenn eine Datei mit einem eher einfachen Programm geöffnet wird, zum Beispiel um das Bild um 90° zu drehen, kann es leicht passieren, dass diese Metadaten verloren gehen. Beim Speichervorgang werden die Metadaten überschrieben und sind somit verloren. Es sollten deshalb nur geeignete Programme verwendet werden.

Nach der Version 1.1.1a, unterstützt PhoA nun auch Metadaten vom Typ EXIF 2.1 - das Metadatenformat für JPEG Dateien. Metadaten können mit dem Befehl Bearbeiten aufgerufen werden und für das automatische Übernehmen der Bildeigenschaften benutzt werden (vorausgesetzt die Optionen sind entsprechend eingestellt).

Um zur Verbesserung und Erhöhung der Effizienz des Programms beizutragen, habe ich beschlossen, den Quellcode auf der PhoA Website bereitzustellen.


Revision History

This document summarizes differences between versions of PhoA in reverse chronological order.

PhoA 1.1.1b

[Sep 17, 2003]

  • New options for trees/lists: Incremental search on typing and Incremental search cleanup delay.
  • In the Picture properties dialog the first control on the page gets focused automatically.
  • Changes to Picture properties | Metadata: description panel, metatag code is now displayed.
  • Changes to Picture properties | View: wheel scaling is fixed.
  • Changes to Picture properties | Keywords: Checked only switch; new keywords are painted navy only when not highlighted.
  • Changes to Picture properties | Groups: speeded up the first time display.
  • An attempt made to fix font displaying in both Unicode- and non-Unicode-systems for various codepages/charsets.
  • Dialogs have been changed. Fixed large system font issues.
  • EXIF-tags list has been expanded, many tags have got descriptions.
  • Support for "non-regular" metatags: Unicode (WinXP-tags), Versions etc.
  • Fixed issue with PhoA denied to open 0.x version photo albums.
  • Fixed view mode bug: predecoding malfunctioned.
  • Fixed search bug: date, time and keyword searches were not working properly.
  • Fixed some memory leaks.
  • Minor changes.

PhoA 1.1.1a

[Sep 08, 2003]

  • Photo album file format changed - now it is very expandable and meant not to be changed frequently.
  • Modifications to folder tree appearance:
    • Views toolbar has been removed. Instead of it there is now a dropdown button beside the photo album node invoking views menu.
    • Pictures are now can be placed directly to the photo album node, having no group created.
    • Number of images is displayed beside the group name.
    • Altered Drag'n'Drop functioning: to insert a node as a sibling of another node (above or below), you'll have to drag the node to the free area on the right side of nodes, and then the insertion point is drawn as a line. To make a node a child of another node you drag this node right over the target node, then the target node gets highlighted. There's no more Shift button used (i mean while dragging ;)
    • When a node is being dragged the target node expands if you leave mouse over the target for a time. Also when mouse rests near the top or bottom edge (while dragging) the group tree starts to scroll.
    • Cosmetic changes (root items are drawn bold, Drag'n'Drop uses blended source folder image etc.)
    • Lists are adjustable.
  • Picture adding and editing have been completely separated. The goal was to remove compromises in the interface. Pictures are always being added with the defaults, you may edit them afterwards.
  • Changes to the Add pictures dialog:
    • The dialog became the wizard. On the first stage you select picture files and/or folder, on the second one you may exactly determine which files are to be added.
    • When adding pictures you can filter them by photo album presence, by name or extension, by date/time file modified.
    • Picture addition is performed in the separate thread which has improved the response to user actions.
    • Addition process is being logged, the log can be saved to a text file.
  • Fully functional support for JPEG-image metadata EXIF 2.1 - data placed to image files by almost any digicam as well as by modern graphic editors. Metadata can be used for filling some picture properties.
  • Many changes to Edit pictures dialog. In a nutshell:
    • Dialog became multipaged.
    • File properties page allows you to view file properties info.
    • Metadata page displays all the EXIF data contained in JPEG files.
    • View page enables file viewing for any selected file.
    • Data page is just a thing that was Edit pictures dialog + new properties.
    • Keywords page allows you to modify keyword list by adding, removing and editing single keywords for any number of pictures at once.
    • Groups page shows photo album group tree in which you can easily determine groups pictures belong to, or change these belongings.
  • Program settings were extended aloud.
  • You may now reorder pictures inside group using Drag'n'Drop (in the thumbnails pane).
  • Views now support automated sorting the pictures inside each group.
  • Thumbnail pane always selects the first thumbnail by default.
  • Undo history dialog has been removed: now you can undo any number of changes by clicking the dropdown button near the Undo toolbar button or with Edit | Undo history submenu.
  • All other trees displaying picture groups also have been altered - now they all look like the main tree.
  • The status bar displays the total number of distinct pictures in the photo album.
  • Local toolbar in the view mode.
  • Enhanced support for XP themes in toolbars and the thumbnail pane.
  • Lots of fixes, minor changes and new bugs.

PhoA 1.0.2a

[Jun 02, 2003]

  • By a lot of complaints against thumbnail quality there's resampling filtering option to eliminate shrinked picture's fuzziness. Possible filters are: Nearest Neighbor, Linear, B-spline (bicubic), Lanczos, Mitchell. As a side effect, owing to some smoothing of the thumbnail, its size (because of JPEG-compression) reduced by 10 thru 25% (eg, when using B-spline interpolation the decrease is 20-25%).
  • Significantly increased speed of rescaling and scrolling pictures. In the view mode you can also choose any of the resampling filters listed above.
  • Added option for decoding pictures in background: a separate thread is responsible for decoding the next picture while you are watching current one. This technique minimizes time required to advance to the next picture (but requires more memory).
  • Added option for caching-behind viewed pictures, which minimizes time to rewind to the previous picture (but also takes more memory).
  • The support for .gif files was not included. Fixed.
  • Added support for .msk (Paint Shop Pro mask), .tub (Paint Shop Pro picture tube), .pfr (Paint Shop Pro picture frame) file formats.
  • View info painting is completely changed. Now information is always positioned over the picture, optionally on a translucent background, and you can visually position information bar.
  • In multimonitor systems dialog windows were mispositioned. Fixed.

PhoA 1.0.1a

[May 17, 2003]

Huge number of differences resulted in program version and time taken to release it.

  • Views! Completely new picture arranging algorithm. Now you can classify a heap of pictures into folders with minimum efforts. The only requirement is that pictures' properties are properly filled. Possible grouping conditions are: by picture file path, by date (in various ways), by place, by keywords etc. Groupings may be cascaded, ie may be applied one by one, number of groupings is a matter of sanity. The result of the grouping (folder tree along with their pictures) may be easily put into any photo album group, and after then you can tweak them in usual way.
  • Photo album file (.phoa) format has been changed. Photo album files since version 1.0.1a contain views' data, and they are incompatible with the earlier PhoA versions. The program also supports saving files in PhoA 0.x format, which is choosed while saving the file (File | Save as...); accordingly, in this case views are not saved.
  • Sorting now can be performed by any number of criteria; it is organized in the similar way as views' groupings. The list of sorting criteria has been significantly extended.
  • You can now tweak thumbnail tooltips in Browse mode; you can choose which details are displayed.
  • Picture info in View mode is now also more adjustable.
  • Three options on toolbar buttons size (small/middle/large).
  • Massively extended support for picture file formats. Now almost all possible formats are supported (briefly: Windows bitmap (BMP, RLE, DIB), OS/2 bitmap, TIFF, GFI fax, SGI, Autodesk, Truevision Targa, ZSoft Paintbrush, Word 5.x, Kodak Photo-CD, Portable pixel/gray map, Dr. Halo CUT, CompuServe GIF, SGI Wavefront, Photoshop, Paint Shop Pro, Portable network graphic PNG; for details refer to the file formats discussion).
  • New algorithms for keyword processing (keywords containing spaces and/or commas are to be quoted; when selecting them from the list such keywords are quoted automatically; keywords are no longer converted to lowercase in the Select keywords dialog, though keywords are still compared case-insensitively).
  • A number of minor fixes (including fixed Access Violation in some cases while browsing).

PhoA 0.10 beta

[Jan 09, 2003]

  • The fully operational undo engine is built into PhoA.
  • New button "Add all" in the Add picture dialog, allowing unconditional addition of all picture files selected (using defaults).
  • Clipboard functionality implemented (cut, copy, paste).
  • Minor fixes (Browse mode; photo album stats).

PhoA 0.03

[Oct 20, 2002]

  • Completely bilingual version (English & Russian), including Setup program and Help System files.
  • Implemented Slide Show mode.
  • Minor changes.

PhoA 0.02b

[Sep 06, 2002]

  • The first public release.


Lizenzvereinbarung

Alle Dokumente und Softwareporgramme, die einen Teil von PhoA darstellen, unterliegen den Urheberrechten von Dmitry Kaan, au?er es wird ausdrucklich darauf verzichtet.

Copyright ©2002-2003 Dmitry Kann. Alle Rechte vorbehalten.

Diese Software wird "as-is" ohne jegliche Garantie geliefert. Der Softwareautor ubernimmt auf keinen Fall irgendeine Haftung fur mogliche durch die Verwendung der Software entstehende Schaden.

Die Genehmigung fur die Verwendung der Software zu jedem Zweck einschlie?lich geschaftlicher Anwendungen sowohl fur die Veranderung als auch fur die Wiedergabe wird unter den folgenden Bedingungen erteilt:

  1. Jede Weitergabe von Dateien muss diesen Urheberrechtshinweis und die Liste der Verwendungsbedingungen in exakt dieser Form beibehalten.
  2. Bei der Weitergabe ubersetzter Teile von PhoA im Binarformat mussen alle vorkommenden Vermerke bezuglich des Urheberrechtes und der Webadressen beibehalten werden (z.B. im Dialog "Hilfe Uber").
  3. Der Ursprung dieser Software darf nicht falsch dargestellt werden, z.B. wenn Sie diese Software verwenden um ein zweckgebundenes Produkt in Umlauf zu bringen, dann ware es wunschenswert, PhoA bei der Dokumentation anerkennend zu erwahnen.
  4. Veranderte Versionen mussen als solche gekennzeichnet und durfen nicht falschlicherweise als Original dargestellt werden.

Updates: http://phoa.narod.ru/
Emailadresse:phoa@narod.ru

Hauptentwickler

  • Jordan Russel - Toolbar2000
  • Alex Denisov - TBX & Graphics32
  • Mike Lischke - GraphicEx & VirtualTreeview
  • Jim Kueneman - VirtualShellTools

    • Copyright ©2002-2004 Dmitry Kann. Alle Rechte vorbehalten.


Hauptbetriebsarten

PhoA arbeitet mit zwei Hauptbetriebsarten:

  • Bilder browsen und anordnen;
  • Bilder anzeigen.


Browser Modus

Wie oben erwahnt dient der Browser Modus der Erstellung von Fotoalben.

Das Hauptfenster des Programms gleicht dem gewohnten Windows Explorer: im linken Fenster werden Gruppenordner in Form eines Baumdiagramms angezeigt, wahrend im rechten Fenster eine Reihe von Thumbnails fur die im linken Fenster ausgewahlte Gruppe dargestellt ist.

Gleich links uber dem Baumdiagramm - Fotoalbum befindet sich ein Dropdownmenu, mit dem die Albumansicht gesteuert und zwischen den Ansichten und Bildgruppen hin- und hergewechselt werden kann.

Siehe auch:

Browser Modus Menubefehle
Arbeiten im Browser Modus
Arbeiten mit Ansichten


Browser Modus Menubefehle

Menu Datei

Dieses Menu enthalt Befehle fur die Bearbeitung der Fotoalbumdatei:

  • Es wird automatisch ein neues Fotoalbum erstellt, wenn das Programm gestartet wird oder wenn man im Menu auf Datei | Neu klickt. Es loscht alle Gruppen und Bilder wahrend die Eigenschaften des Fotoalbums zuruckgesetzt werden.
  • Um eine bereits angelegte Fotoalbumdatei zu offnen, klickt man im Menu auf Datei | Offnen.... Dieser Befehl offnet ein herkommliches Dialogfeld, wo man eine Datei auswahlen kann (mit dem Dateiformat .phoa).
  • Um das Fotoalbum in der derzeit geoffneten Datei zu speichern, klickt man im Menu auf Datei | Speichern.
  • Um es in einer anderen Datei zu speichern, klickt man im Menu auf Datei | Speichern unter....
  • Mit dem Befehl Datei | Beenden konnen eventuelle Anderungen gespeichert werden und anschlie?end wird das Programm beendet.
  • Darunter findet man zuletzt geoffnete Dateien (die Anzahl dieser gespeicherten Eintrage kann man unter Optionen) einstellen.

Menu Bearbeiten

Dieses Menu beinhaltet Befehle zur Bearbeitung des Fotoalbums:

  • Der Befehl Bearbeiten | Ruckgangig Anderung im Menu macht die zuletzt vorgenommene Anderung im Fotoalbum ruckgangig.
  • Der Befehl Berabeiten | Ruckgangig Verlauf im Menu enthalt die Liste der vorgenommenen Anderungen, wobei man mehrere aufeinanderfolgende Anderungen gleichzeitig ruckgangig machen kann.
  • Der Befehl Bearbeiten | Ausschneiden im Menu schneidet markierte Bilder aus und speichert sie in der Zwischenablage (man kann diese Bilder spater zu anderen Bildergruppen hinzufugen).
  • Auch der Befehl Bearbeiten | Kopieren im Menu ermoglicht es markierte Bilder in die Zwischenablage zu kopieren.
  • Der Befehl Bearbeiten | Einfugen fugt Bilder aus der Zwischenablage (falls vorhanden) in die derzeit geoffnete Gruppe ein. Naturlich konnen einer Gruppe nur neue Bilder hinzugefugt werden; alle doppelten Bilder werden ignoriert. Wird es in den Optionen so definiert, erfahrt man von PhoA wieviele Bilder man tatsachlich eingefugt hat.
  • Das Fotoalbum ist die oberste Stufe in der Einteilung der Bildergruppen, und steht daher als erstes in der Baumansicht. Das Fotoalbum kann Textbeschreibungen beinhalten und definiert auch Thumbnail Parameter. Man kann diese im Dialog Eigenschaften Fotoalbum andern, das durch Klicken auf Bearbeiten | Bearbeiten... im Menu erscheint, wobei Fotoalbum in der Baumansicht markiert sein muss.
  • Eine Bildergruppe kann umbenannt werden indem man im Menu auf Bearbeiten | Bearbeiten... klickt, jedoch muss die jeweilige Gruppe in der Baumansicht markiert sein; man kann aber auch einmal auf eine markierte Gruppe klicken oder die F2 Taste drucken. Um den Bearbeitungsvorgang abzubrechen, druckt man die Esc Taste und um den neuen Gruppennamen zu bestatigen, druckt man die Enter Taste.
  • Um eine neue Gruppe hinzuzufugen klickt man im Menu auf Bearbeiten | Gruppe hinzufugen. Diese Gruppe ist eine Untergruppe der derzeit markierten Gruppe. Wird Fotoalbum in der Baumansicht markiert, ist die Untergruppe in der Baumansicht zu sehen. Der Name dieser Gruppe ist anfanglich "Neue Gruppe", den man dann aber bearbeiten und durch das Drucken der Enter Taste bestatigen kann.
  • Eine Gruppe kann geloscht werden, indem man im Menu auf Bearbeiten | Loschen klickt, wenn diese in der Baumansicht markiert ist.
  • Um Bilder zu einer Gruppe hinzuzufugen, klickt man im Menu auf Bearbeiten | Bild hinzufugen.... Dadurch wird das Fenster Bilder hinzufugen geoffnet.
  • Um Bilder zu ordnen (sortieren), klickt man im Menu auf Bearbeiten | Bilder sortieren.... Dadurch wird das Fenster Bilder sortieren geoffnet.
  • Der Befehl Bearbeiten | Alles auswahlen markiert alle Bilder der derzeit geoffneten Gruppe.
  • Der Befehl Bearbeiten | Nichts auswahlen entfernt die Markierung aller Bilder.
  • Um zu dem Anzeigemodus zu wechseln, klickt man entweder im Menu auf Bearbeiten | Anzeigen oder klickt zweimal auf ein Bild.

Menu Anzeigen

In diesem Menu kann man die Anzeigeoptionen des Programms einstellen:

  • Die Symbolleiste kann man im Menu Anzeigen | Symbolleiste aktivieren und deaktivieren.
  • Die Statusleiste kann man im Menu Anzeigen | Statusleiste aktivieren und deaktivieren. Das Programm speichert diese Einstellungen automatisch und ruft sie beim nachsten Offnen wieder auf.
  • Darauf folgen im Menu die Einstellungen fur die Fotoalbumansichten:
    • Klickt man auf Bildgruppen wird die ursprungliche Baumansicht der Bildgruppen wieder im linken Programmfenster hergestellt.
    • Klickt man im Menu auf Neue Ansicht... offnet sich der Dialog Eigenschaften Fotoalbum Ansichten um einen neuen Anzeigemodus einzustellen.
    • Klickt man im Menu auf Ansicht loschen wird die momentan aktive Ansicht geloscht (falls die Ansicht und nicht die Bildgruppen aktiviert sind).
    • Klickt man im Menu auf Ansicht bearbeiten... offnet sich der Dialog Eigenschaften um die momentan aktive Ansicht zu bearbeiten (falls die Ansicht und nicht die Bildgruppen aktiviert sind).
    • Klickt man im Menu auf Gruppe erstellen... offnet sich der Dialog Bildgruppe auswahlen, wodurch man die genaue Struktur der aktiven Ansicht einer ausgewahlten Bildgruppe des Fotoalbums hinzufugen kann.

Menu Tools

Hier findet man optionale Extra-Befehle:

  • Klickt man im Menu auf Tools | Optionen... offnet sich das Dialogfeld PhoA Optionen Browser Modus.
  • Klickt man im Menu auf Tools | Statistiken... werden die statistischen Daten des Fotoalbums angezeigt.
  • Klickt man im Menu auf Tools | Thumbnails erneuern... offnet sich der Dialog Thumbnails erneuern. Dort kann man fur die ausgewahlten Bilder, fur alle Bilder in der aktuellen Gruppe oder alle Bilder im Fotoalbum die Thumbnails erneuern. Dieser Vorgang ist jedesmal notig, wenn man die Thumbnails Einstellungen im Dialogfeld Einstellungen Fotoalbum andert.
  • Klickt man im Menu auf Tools | Bildoperationen... kann man im Dialog Bildoperationen Bilder ausschneiden und in eine andere Gruppe verschieben, kopieren oder einfugen.
  • Eine der wichtigsten Eigenschaften von PhoA ist die Suche nach Bildern in dem man auf Tools | Suchen... klickt. Fur weitere Informationen hier klicken.

Menu Hilfe

Dieses Menu enthalt drei Untermenus:

  • Klickt man im Menu auf Hilfe | Uber... erhalt man Informationen uber die Version, Urheberrechte, Updates und Kontaktmoglichkeiten.
  • Klickt man im Menu Hilfe | Hilfethemen offnet sich das PhoA Hilfesystem.
  • Klickt man im Menu auf Hilfe | PhoA Website offnet sich der Internetbrowser und die Homepage des Programms wird gestartet.

Klickt man auf der linken Bildschirmseite in der Baumansicht auf den Pfeil neben Fotoalbum, offnet sich das Menu Anzeigen.

Siehe auch:

Tastenkombinationen und Mausbefehle
Anzeigemodus
Dialog Eigenschaften Fotoalbum


Arbeiten im Browser Modus

Die wichtigsten Aufgaben werden im Kapitel Browser Modus Menübefehle beschrieben. Im Folgenden möchte ich auf spezifische Bereiche von PhoA eingehen:

Bilddaten

Wie bereits im Übersichtsschema dargestellt wurde, speichert das Programm Bilderlisten einzeln ab (genau gesagt handelt es sich um Listen, der die Elemente der Bilddateien inkl. Beschreibung, Miniaturansichten etc. zugeordnet sind). Die Baumstruktur wird ebenso seperat gespeichert. Jede einzelne Gruppe beeinhaltet eine Reihe von Links zu den Bildern, wenn Sie also eine Datei einer Gruppe zuordnen (da ja alle Bilder Dateien darstellen) und diese Datei bereits irgendwo im Fotoalbum angelegt und beschrieben ist, findet das Programm automatisch die dazugehörigen Daten. Dasselbe gilt für den Fall, dass Sie Bilddaten bearbeiten (etwa den Ort oder das Datum ändern) - die Daten werden in allen dazugehörigen Bereichen automatisch geändert!

Anders verhält es sich, wenn Sie ein Bild aus einer Gruppe entfernen wollen. Ist das zu löschende Bild noch anderen Gruppen im Fotoalbum zugeordnet, wird nur der Link zum Bild entfernt, das Bild selbst ist im Fotoalbum immer noch vorhanden (nur eben anderen Gruppen zugeordnet). Wollen Sie diese Bilddatei später erneut einer Gruppe hinzufügen, wird PhoA alle verfügbare Daten dieses Bildes der Datei automatisch zuordnen. Löschen Sie jedoch ein Bild, das nur der aktuellen Gruppe zugeordnet ist, wird die Bilddatei vollständig gelöscht. Fügen Sie das Bild später wieder ein, müssen Sie die entsprechenden Daten selbst eingeben.

Drag & Drop

Natürlich kann ein Bild in einer Gruppe nicht zwei Mal vorhanden sein. Am einfachsten können Bilder in eine andere Gruppe kopiert werden, indem man sie mit der Maus vom rechten Fenster (dem Thumbnail-Bereich) in die entsprechende Gruppe der Baumansicht zieht und dabei die Strg-Taste gedrückt hält. Ohne Drücken der Strg-Taste wird das Bild nicht kopiert, sondern nur verschoben (von der Ausgangsgruppe in die Zielgruppe). Es können mehrere Bilder gleichzeitig kopiert bzw. verschoben werden: Als erstes müssen Sie die zu kopierenden Bilder markieren (verwenden Sie dazu die Tastenkombination Strg, Shift und die linke Maustaste). Nehmen Sie dann ein markiertes Bild (egal welches) und ziehen Sie es hinüber. Nachdem die Dateien verschoben oder kopiert wurden, zeigt PhoA in einem Dialogfenster die durchgeführten Änderungen an. (Dazu muss diese Funktion im Menü Tools | Optionen Feld (Dialoge | Benachrichtigungen)aktiviert sein).

Die Drag & Drop-Funktion ist auch auf ganze Ordner anwendbar, die Baumansicht wird dadurch neu geordnet. Wenn Sie eine Gruppe in den freien Bereich rechts von den Verknüpfungen der Baumstruktur (Knotenpunkte) ziehen, wird der Ort, an dem die Gruppe eingefügt wird Einfügeort als Linie angezeigt. Die Gruppe wird an gleichrangiger Stelle wie der Zielknotenpunkt eingefügt, über oder unter den Punkt, je nach dem, wohin Sie Maus bewegen (dies beeinflusst ebenfalls das Aussehen der Einfügelinie). Ziehen Sie eine Gruppe auf ein andere, wird diese markiert und die Gruppe wird zu deren Untergruppe. Beachten Sie: Die Baumstruktur kann nur Fotoalbum-Ordner enthalten, andere Ordner können nicht eingefügt werden!

In ähnlicher Weise können Sie Bilder kopieren (nicht jedoch verschieben), die Sie durch die Suchfunktion erhalten haben (Menü Tools | Suchen). Es ist empfehlenswert, Bilder nach Datum (z.B. nach Jahr oder nach Monat) zu sortieren, nachdem diese zuvor in einem anderen Ordner nach Thema sortiert haben (Benutzen Sie dazu die Suchfunktion um Bilder nach Datum zu suchen und kopieren Sie dann die Ergebnisse in die entsprechende Gruppe).

Mit Drag & Drop können Sie aber auch Bilder innerhalb einer Gruppe neu ordnen: Ziehen Sie einfach ein markiertes Thumbnail an eine andere Stelle im Thumbnail-Fenster, dabei wird die Einfügelinie angezeigt. Wenn Sie die Maustaste loslassen, werden alle markierten Bilder an den angegebenen Ort verschoben; die Reihenfolge der Bilder wird dabei nicht verändert. Eine weitere Methode, Bilder neu zu ordnen, besteht darin, diese zu sortieren.

Zwischenablage

PhoA unterstützt die Zwischenablage-Funktion. Zur Zeit können nur Bilder von Phoa ausgeschnitten, kopiert und eingefügt werden. Daten, die in die Zwischenablage eingefügt werden, bleiben vollständig erhalten - mit Ausnahme der Angabe, welcher Gruppe die Bilder zugeordnet wurden. Durch diese Funktion können Bilder in eine andere Gruppe oder auch in ein anderes Fotoalbum verschoben oder kopiert werden.

Was das Einfügen von Bildern in ein anderes Fotoalbum betrifft, gibt es jedoch gewisse Einschränkungen: Daten von bereits vorhandenen Bildern (Bilder, die unter dem selben Dateinamen bereits im Fotoalbum gespeichert sind) werden nicht überschrieben. Zum Beispiel: Sie fügen ein Bild, das unter C:\Fotos\Winter-Urlaub-1812.jpg gespeichert ist, in das Fotoalbum ein. Besteht dieses Bild im Fotoalbum bereits, wird das Bild nur der aktuellen Gruppe hinzugefügt (falls es dort nicht schon ist). Ist das neu eingefügte Bild im Zielordner bereits vorhanden, wird dieses Bild einfach übersprungen. Nach Beendigung dieses Vorgangs benachrichtigt Sie Phoa über die Anzahl an Bildern, die soeben aus der Zwischenablage eingefügt wurden. (Dazu muss diese Funktion im Menü Tools Optionen Feld Dialoge Benachrichtigungen aktiviert sein.

Rückgängig-Funktion

Im Gegensatz zu vielen ähnlichen Produkten, unterstützt PhoA vollständig die Rückgängig-Funktion. Mit Hilfe dieser Funktion kann ein im Fotoalbum vorgenommener Arbeitsschritt rückgängig gemacht werden (einzige Ausnahme bildet der Befehl Thumbnails erneuern) - oder aber sogar mehrere Arbeitsschritte gleichzeitig! Gehen Sie dazu auf Bearbeiten | Rückgängig bzw. Bearbeiten | Rückgängig Verlauf im Menü Bearbeiten. Wenn Sie einen Punkt aus der Liste Rückgängig-Verlauf markieren, werden alle vorhergehenden Arbeitsschritte (d.h. die, die in der Liste weiter oben sind) ebenfalls automatisch rückgängig gemacht.

Die Anzahl der Schritte, die rückgängig gemacht werden können, wird im Menü Tools | Optionen, im Dialog Browser Modus angegeben. Die maximale Anzahl der Schritte, die rückgängig gemacht werden können, beträgt 32.

Ansichten

Die Ansichten ermöglichen eine einzigartige Technologie zur automatischen Bildgruppierung. Nähere Informationen erhalten Sie unter Arbeiten mit Ansichten.

Siehe auch:

Tastenkombinationen und Mausbefehle
Anzeigemodus
Arbeiten im Browser Modus

Copyright ©2002-2004 Dmitry Kann. Alle Rechte vorbehalten.


Arbeiten mit Ansichten

Einführung

Die Fotoalbum - Ansichten ähneln dem Fotoalbum-Gruppenverzeichnis mit dem Unterschied, dass die Gruppen vom Benutzer eingerichtet werden, während die Hierarchie des Ansichten-Ordners basierend auf Bilddaten und benutzerdefinierten Gruppierungen automatisch erstellt wird. Eine Gruppierung ist eine logische, organisatorische Einheit der Ansichten und kann eine oder mehrere Ebenen im Ordnerverzeichnis darstellen. Beim Erstellen der Hierarchie des Ansichten-Ordners wird jedes Bild einer im Dialog Eigenschaften Fotoalbum Ansicht festgelegten Gruppe zugeteilt (siehe unten).

Eigenschaften Fotoalbum Ansicht

Wie man im Dialog Eigenschaften Fotoalbum Ansicht sieht, sind Ansichten unterteilt in Name, Gruppierungsordnung und Sortierliste.

Name der Ansicht

Der Name wird vom Benutzer gewählt und enthält Angaben zum Inhalt der Ansicht, z.B. "Nach Ort und Datum".

Gruppierungsordnung

Die vollständige Gruppierungsordnung kann angezeigt werden. PhoA unterstützt folgende Gruppierungsarten.

  • Gruppierung nach Dateipfad
    Bilder werden Ordnern nach ihrer physikalischen Position zugeordnet.
  • Gruppierung nach Jahr
    Bilder werden Ordnern zugeteilt, die jeweils Bilder des selben Jahres enthalten. Diese Gruppierung unterstützt die Zuordnung von unklassifizierten Bildern in eigenem Ordner.
  • Gruppierung nach Monat
    Bilder werden Ordnern zugeteilt, die jeweils Bilder des selben Monats enthalten. Meist folgt diese Gruppierung auf die Gruppierung nach Jahr, um innerhalb eines Jahres-Ordners Unterordner mit den jeweiligen Monaten des selben Jahres zu erstellen. Man kann diese Gruppierung auch eigenständig verwenden und so Bilder nach dem selben Monat aus unterschiedlichen Jahren ordnen. Diese Gruppierung unterstützt die Zuordnung von unklassifizierten Bildern in eigenem Ordner.
  • Gruppierung nach Tag
    Bilder werden Ordnern zugeteilt, die jeweils Bilder des selben Tages enthalten. Meist folgt diese Gruppierung auf die Gruppierung nach Jahr und Monat, um innerhalb eines Monats-Unterordners zusätzliche Tages-Unterordner des selben Monats zu erstellen. Man kann diese Gruppierung auch eigenständig verwenden und so Bilder nach dem selben Tag aus unterschiedlichen Jahren und Monaten ordnen. Diese Gruppierung unterstützt die Zuordnung von unklassifizierten Bildern in eigenem Ordner.
  • Gruppierung nach Stunden
    Bilder werden Ordnern zugeteilt, die jeweils Bilder der selben Stunde enthalten (Zeitpunkt der Entstehung des Bildes). Diese Gruppierung unterstützt die Zuordnung von unklassifizierten Bildern in eigenem Ordner.
  • Gruppierung nach Minuten
    Bilder werden Ordnern zugeteilt, die jeweils Bilder der selben Minute enthalten (Zeitpunkt der Entstehung des Bildes). Meist folgt diese Gruppierung auf die Gruppierung nach Stunden, um innerhalb eines Stunden-Ordners Unterordner mit der jeweiligen Minute derselben Stunde zu erstellen. Man kann diese Gruppierung auch eigenständig verwenden und so Bilder nach der selben Minute aus unterschiedlichen Stunden ordnen. Diese Gruppierung unterstützt die Zuordnung von unklassifizierten Bildern in eigenem Ordner.
  • Gruppierung nach Ort
    Bilder werden Ordnern zugeteilt, die jeweils Bilder des selben Aufnahmeortes enthalten. Diese Gruppierung unterstützt die Zuordnung von unklassifizierten Bildern in eigenem Ordner.
  • Gruppierung nach Filmnummer
    Bilder werden Ordnern zugeteilt, die jeweils Bilder der selben Filmnummer enthalten. Diese Gruppierung unterstützt die Zuordnung von unklassifizierten Bildern in eigenem Ordner.
  • Gruppierung nach Autor
    Bilder werden Ordnern zugeteilt, die jeweils Bilder des selben Autors enthalten. Diese Gruppierung unterstützt die Zuordnung von unklassifizierten Bildern in eigenem Ordner.
  • Gruppierung nach Medienname oder -code.
    Bilder werden Ordnern zugeteilt, die jeweils Bilder des selben Mediums enthalten. Diese Gruppierung unterstützt die Zuordnung von unklassifizierten Bildern in eigenem Ordner.
  • Gruppierung nach Schlüsselwörtern
    Bilder werden Ordnern zugeteilt, die jeweils Bilder mit dem selben Schlüsselwort enthalten. Dementsprechend kann ein Bild in mehreren Ordnern vorkommen, wenn es mit mehreren Schlüsselwörtern gekennzeichnet wurde. Diese Gruppierung unterstützt die Zuordnung von unklassifizierten Bildern in eigenem Ordner.

Sortierliste

Einmal einem Ordner zugeordnet, werden die Bilder in zufälliger Reihenfolge gespeichert. Da dies unvorteilhaft ist und die Bilder manuell nicht geordnet werden können, bietet PhoA die Möglichkeit, Gruppierungsergebnisse in jeder Gruppe durch Sortierungen neu zu ordnen. Dies geschieht genauso wie beim Bilder Sortieren im Fotoalbum.

Zuordnung von unklassifizierten Bildern in eigenem Ordner

Es ist nicht unbedingt notwendig, ein Bild vollständig zu beschreiben. Da jedoch beim Erstellen einer Ansicht jedes Bild verarbeitet und in die Ansicht eingefügt wird (siehe oben), gibt es zwei Arten, nicht klassifizierte Bilder zu verwalten, also Bilder, die keine Angaben zu den jeweiligen Gruppierungskriterien enthalten (z.B. kein Datum bei der Gruppierung nach Datum, keine Ortsangabe bei der Gruppierung nach Aufnahmeort, ...):

  • Ist in einer Gruppierung das Kontrollkästchen "Unklassifizierte Bilder in eigenen Ordner" aktiv, werden die Bilder im jeweiligen Ordner abgelegt ("kein Datum", "kein Ort", ...). Die Ordnerebene ist dieselbe wie bei den restlichen, klassifizierten Ordnern.
  • Ist das Kontrollkästchen nicht aktiv, bleiben nicht klassifizierte Bilder in ihrem ursprünglichen Ordner, es wird für sie kein gesonderter Ordner erstellt. Beispiel: ist das Kontrollkästchen in der Gruppierung nach Datum nicht aktiv, bleibt das Bild im Hauptordner (Ansichten-Ordner). Öffnet man dann die Gruppierung nach Aufnahmeort und aktiviert das Kontrollkästchen, bleibt der "Kein Ort"-Ordner im Hauptordner, wo auch das Bild abgelegt wird. Die restlichen Ordner (mit Ortsangabe) werden im Datum-Ordner erstellt. Die Klassifizierung der Bilder nach Ortsangabe erfolgt also auf verschiedenen Ordnerebenen.

Diese Funktion lässt sich auf Gruppierungen nach Dateipfad nicht anwenden, da es keine Bilder ohne Datei gibt und keine Dateien ohne Zugriffspfad.

Kopieren von Ansichten-Ordnern in das Fotoalbum

PhoA bietet die Möglichkeit, erstellte Ordner und Bildstrukturen als gewöhnliche Fotoalbum-Gruppen zu kopieren. Dazu wählen Sie im Menü Anzeigen | Gruppe erstellen... und wählen dann im Dialogfeld Gruppe auswählen die Gruppe, in die Sie die Ansichten-Ordner kopieren wollen.

Siehe auch:

Dialog Eigenschaften: Fotoalbum Ansicht
Browser Modus
Arbeiten im Browser Modus
Tastenkombinationen und Mausbefehle
Arbeiten im Anzeigemodus


Automatisches Ubernehmen der Bildeigenschaften

PhoA kann Bildeigenschaften automatisch einfugen. Derzeit konnen die folgenden Bildeigenschaften automatisch ubernommen werden:
Eigenschaft Automatische Ubernahmemoglichkeit
Datum
  • Aus der Ursprungsdatum & Zeit EXIF Angabe
  • Aus der digitalisierten Datum & Zeit EXIF Angabe
  • Aus der Datum & Zeit EXIF Angabe
  • Aus dem Bilddateinamen - nur bei Format yyyy-mm-dd hh-mm-ss.*
  • Aus Datum und Zeit der Dateierstellung
  • Aus Datum und Zeit der Dateianderung
Zeit
  • Aus der Ursprungsdatum & Zeit EXIF Angabe
  • Aus der digitalisierten Datum & Zeit EXIF Angabe
  • Aus der Datum & Zeit EXIF Angabe
  • Aus dem Bilddateinamen - nur bei Format yyyy-mm-dd hh-mm-ss.*
  • Aus Datum und Zeit der Dateierstellung
  • Aus Datum und Zeit der Dateianderung

Das Programm ubernimmt die Bildeigenschaften in der Reihenfolge, wie sie in Optionen Dialolge aktiviert wurden. Wurde die Eigenschaft einmal erfolgreich ubernommen, wird die automatische Ubernahme beendet.

Daruber hinaus wirkt sich auch die Option Eigenschaft, falls bereits angegeben, uberschreiben auf die automatische Ubernahme aus.

Siehe auch:

Optionen :: Dialoge
Bildeigenschaften
Metadaten
Anzeigen der Metadaten


Anzeigemodus

Dieser Modus gestattet Ihnen die Bilder einzeln anzusehen - in einem eigenen Fenster oder im Vollbildmodus. Zu diesem Zweck wird ja ein Fotoalbum angelegt.

Im Anzeigemodus ist folgendes moglich:

  • Veranderung der Anzeigengrosse (Zoom in und out);
  • Bildanzeige in der fur das Programmfenster optimalen Grosse;
  • Skalierung aufheben (Anzeigen des Bildes in Originalgrosse);
  • Scrollen des Bildes mit der Maus oder der Tastatur, falls es nicht in das Programmfenter passt;
  • zum nachsten, vorherigen, ersten oder letzten Bild der aktuellen Bildergruppe gehen;
  • zwischen dem Fenster- und Vollbildmodus wechseln;
  • Bilddatei neu laden;
  • aktuelles Bild bearbeiten;
  • Diashow ein - aus;
  • Dialog Optionen offnen.

Diese Funktionen sind auch uber Schaltflachen auf der Symbolleiste, uber das Kontextmenu, das durch Drucken der rechten Maustaste im Fenster erscheint, oder uber Tastatur- und Mausbefehle zuganglich.

Siehe auch:

Arbeiten im Anzeigemodus
Optionen :: Anzeigemodus
Browser Modus


Arbeiten im Anzeigemodus

Das Verhalten des Programmes hangt ganz von den Einstellungen in Optionen Anzeigemodus ab. Einige Parameter konnen auch wahrend der Anzeige verandert werden. Sie konnen zum Beispiel zwischen Fensteransicht und Vollbildmodus wechseln, indem Sie die F-Taste oder die rechte Maustaste drucken. Mit den Bildwechseloptionen konnen Sie bestimmen, ob das Bild skaliert (vergro?ert) wird, wenn es kleiner als das Fenster ist, oder verkleinert wird, wenn es gro?er als das Fenster ist oder ob das Anzeigefenster immer im Vordergrund ist; ebenso kann die Hintergrundfarbe beider Modi bestimmt werden.

Zudem kann PhoA Bildinformationen wahrend des Anschauens anzeigen (Das ist schlie?lich der Hauptzweck).

Sie konnen das Bild mit dem Mausrad vergro?ern oder verkleinern (Strg gedruckt halten) oder mit den numerischen Zeichen +, -, *, /. Wenn das Bild gro?er als das Fenster ist, kann es mithilfe der Maus oder den Pfeiltasten gescrollt werden (auch mit den Tasten Strg und Shift). Wenn Sie mehr uber die Benutzung von Tastatur und Maus erfahren mochten, lesen Sie dieses Kapitel.

NB: Diese Version von PhoA kann maximal um den Faktor 8 skalieren.


Dialog Eigenschaften Fotoalbum

Mithilfe dieses Dialoges konnen die Thumbnailparameter - ihre Abmessungen (Breite und Hohe in Pixel) und ihre Qualitat festgelegt werden. Die Standardabmessung betragt 150x150 Pixel, die Qualitat liegt bei max. 40%. Je gro?er die Abmessungen und je hoher die Qualitat der Thumbnails, desto gro?er ist die Fotoalbumdatei(*.phoa). Eine zu niedrige Thumbnailqualitat kann das Erkennen der dargestellten Bilder erschweren (Farben erscheinen verschwommen).

Auch Textbeschreibungen zu den Bildern konnen hier eingegeben werden; die Beschreibung wird mit dem Fotoalbum gespeichert.

NB: Die Lange der Beschreibung ist zwar nicht begrenzt, von Beschreibungen die langer als 80 Seiten sind, wird aber abgeraten, da sie schwer zu lesen sind.

Diese Operation unterstutzt die Ruckgangig-Funktion

Siehe auch:

Browser Modus
Optionen :: Browser Modus


Bild hinzufügen Assistent

Mit dieser Funktion können Sie Bilder zu einer gerade ausgewählten Gruppe hinzufügen (auch zur Hauptgruppe, d.h. zum Fotoalbum selbst). Wenn keine Gruppe ausgewählt wurde, kann diese Funktion nicht angewendet werden.

Dialog 1: Dateien und Ordner auswählen

Wählen Sie zuerst Bilddateien und/oder Ordner, die Bilddateien enthalten, aus.

Liste der Dateien/Ordner

Wählen Sie jene Elemente, die Sie hinzufügen wollen, mithilfe der Tastatur oder der Maus plus Shift-Taste oder Strg-Taste aus.

Inklusive Unterordner

Wenn dieses Kontrollkästchen aktiviert ist und Ordner im Baum ausgewählt sind, werden nicht nur Dateien aus diesen Ordnern hinzugefügt, sondern auch Dateien aus sämtlichen Unterordnern.

Erweitert

Zeigt den Dateiauswahlfilter an bzw. verbirgt ihn. Mit diesem können Sie die Dateiauswahl durch bestimmte Kriterien eingrenzen (siehe unten).

Vorhandensein im Fotoalbum

Sie haben die Möglichkeit, Bilddateien nach ihrem Vorhandensein im Fotoalbum zu filtern:

  • Nicht berücksichtigen - der Filter wird unterdrückt.
  • Nur Dateien, die noch nicht im Fotoalbum vorhanden sind - es werden nur Dateien hinzugefügt, die noch nicht in der Bilderliste des Fotoalbums sind.
  • Nur Dateien, die schon im Fotoalbum vorhanden sind - es werden nur Dateien hinzugefügt, die bereits im Fotoalbum sind.

Dateimaske

Dieser Filter fügt nur Dateien mit einem bestimmten Dateinamen und/oder Format hinzu. Die Maske ist wie üblich aufgebaut: ? ersetzt jedes Zeichen und * ersetzt eine beliebige Anzahl von Zeichen; außerdem können Sie in eckigen Klammern Zeichenketten spezifizieren, wie Sie es auch im Dialog Bilder suchen tun können.

Sie können mehr als eine Maske spezifizieren, indem Sie sie durch einen Strichpunkt trennen. In diesem Fall wird eine Datei zugelassen, wenn sie den Kriterien einer der Masken entspricht.

Datei bearbeitet zwischen

Sie können Zeitspannen (Datum und/oder Uhrzeit) festlegen, in denen die Datei bearbeitet wurde. So können Sie z.B. Dateien auswählen, die vor oder nach einem bestimmten Datum gespeichert worden sind. Lassen Sie das Feld leer, ist der Filter nicht aktiv.

Dialog 2: Dateien überprüfen

In diesem Fenster können Sie durch "Markieren" oder "Markierung aufheben" entscheiden, welche der im vorhergehenden Dialog ausgewählten Dateien hinzugefügt werden sollen. Wenn Sie selbst nichts ändern, sind von vornherein alle Dateien markiert.

Sie können die Markierung mit der Maus oder mit der Leertaste vornehmen. Letztere hebt die Markierung aller blau markierten Dateien auf bzw. aktiviert sie. Das Popup-Menü (aufgerufen durch Klicken der rechten Maustaste) bietet zusätzliche Optionen.

NB: Dieses Dialog wird nur angezeigt, wenn die Standardoptionen verwendet werden. Sie können das Anzeigen dieses Fensters unter Optionen - Dialoge verhindern, dann wird es übersprungen und nach dem Dialog Dateien/Ordner auswählen startet sofort der Prozess Bilder hinzufügen.

Dialog 3: Bilder hinzufügen

Dieses Fenster wird angezeigt, während die ausgewählten Bilddateien hinzugefügt werden. Das Programm zeigt den Fortschritt des Prozesses und die Zahl der aufgetretenen Fehler an. Sie können sich diese Fehler dann im Protokoll ansehen, sofern einige Bilder erfolgreich hinzugefügt wurden.

Außerdem wird von dem zuletzt hinzugefügten Bild ein Thumbnail angezeigt.

NB:
  • Der Prozess Bilder hinzufügen wird parallel umgesetzt; Sie können diesen Prozess nur zwischen der Verarbeitung zweier Bilder unterbrechen, deshalb reagiert das Programm verzögert auf den Befehl Unterbrechen.
  • Außerdem können Sie dieses Fenster nicht schließen, während Bilder hinzugefügt werden. Sie müssen auf Unterbrechen klicken, bevor das Fenster geschlossen werden kann.
  • Beim Hinzufügen von Bildern wird die Funktion Automatisches Auslesen und Einfügen der Bildeigenschaften aktiv. Sie können in Optionen - Dialoge festlegen, welche Bilddaten übernommen werden sollen; im Protokoll wird angezeigt, welche Daten übernommen wurden.

Unterbrechen

Wenn Sie diese Schaltfläche anklicken, wird der Prozess Bilder hinzufügen unterbrochen. Diese Schaltfläche wird dann zu Weiter, und durch Anklicken nehmen Sie den Prozess wieder auf.

Wenn der Prozess abgeschlossen ist, schließt das Programm das Fenster des Assistenten (nur wenn keine Fehler aufgetreten sind und in den Optionen bestimmt wurde, das Protokoll in einem solchen Fall nicht anzuzeigen) oder es geht zum Protokoll über.

Dialog 4: Protokoll von Bilder hinzufügen

Das Protokoll zeigt alle an den Bilddateien durchgeführten Operationen der Reihe nach an. An der Kennzeichnung der (ausgewählten) Dateien ist erkennbar, ob der Prozess erfolgreich war oder gescheitert ist. Wenn letzteres der Fall ist, erscheint eine Fehlerbeschreibung neben dem Dateinamen, im Erfolgsfall werden die automatisch übernommenen Bilddaten angezeigt.

Nur Fehler anzeigen

Wenn dieses Kontrollkästchen aktiviert ist, zeigt das Protokoll nur die fehlgeschlagenen Versuche an, sonst werden auch die erfolgreichen angezeigt. Diese Option ist nützlich, wenn Sie einen Fehler in einer großen Anzahl hinzugefügter Dateien finden müssen.

In Datei speichern...

Ermöglicht Ihnen, das Protokoll als Textdatei zu speichern.

NB:
  • Wenn das Protokoll gespeichert wird, werden alle Versuche festgehalten, ungeachtet des Kontrollkästchens Nur Fehler anzeigen.
  • Fehlgeschlagene Versuche werden mit Symbolen gekennzeichnet [!], erfolgreiche vorne mit [+]. So können Sie Fehler im Protokoll leicht finden.

Sie können das Protokoll anschauen, bevor alle Dateien hinzugefügt worden sind, indem Sie den Hinzufügungsprozess unterbrechen und dann die Schaltfläche Weiter anklicken. Danach können Sie mit Zurück den Prozess wieder aufnehmen.

Diese Operation unterstützt die Rückgängig-Funktion

Siehe auch:

Browser Modus
Arbeiten im Browser Modus


Dialog Bearbeiten Eigenschaften Bild

Dieser Dialog erlaubt das Bearbeiten der Eigenschaften ausgewahlter Bilder. Aufgerufen wird er durch die Auswahl eines oder mehrerer Thumbnails und das Klicken auf den Menueintrag Bearbeiten | Bearbeiten... oder durch die Tastenkombination Alt+Eingabetaste, vorausgesetzt das Thumbnailfenster ist aktiv.

Der Dialog beinhaltet mehrere Seiten, die mit Hilfe der Toolbar am linken Rand oder durch die Tastenkombination Strg+Zahl geoffnet werden konnen.
Seite | Tastenkombination | Zweck
Dateieigenschaften | Strg+1 | zeigt allgemeine Bilddateieigenschaften
Metadaten | Strg+2 | zeigt Metadaten in den Bilddateien
Anzeigen | Strg+3 | zeigt die Bilder selbst in ausgewahlter Gro?e
Daten | Strg+4 | zeigt oder bearbeitet die Bilddaten
Schlusselworter | Strg+5 | zeigt oder bearbeitet die Schlusselworter
Gruppen | Strg+6 | bestimmt oder verandert die Zugehorigkeit der Bilder zu den Gruppen

Diese Operation unterstutzt die Ruckgangig-Funktion

Siehe auch:

Browser Modus
Arbeiten im Browser Modus


Dialog Bearbeiten Eigenschaften Bild :: Dateieigenschaften

Diese Seite zeigt eine Liste der Dateien ausgewahlter Bilder an. Wenn Sie den Dateinamen aufklappen bzw. erweitern, konnen Sie die Dateiattribute wie (Dateityp, Gro?e, Erstellungs-, Bearbeitungs- und Zugriffszeit usw.) sehen.

Beim Anklicken mit der rechten Maustaste konnen Sie das Standard Explorer Kontextmenu fur diese Datei offnen.

NB: Im Dialog Optionen kann eingestellt werden, dass alle Eigenschaften automatisch aufgeklappt dargestellt werden.

Siehe auch:

Browser Modus
Arbeiten im Browser Modus


Dialog Bearbeiten Eigenschaften Bild :: Metadaten

Diese Seite zeigt die in der Bilddatei enthaltenen Metadaten. Die Metadaten werden in einer Baumansicht dargestellt, durch Anklicken wird der Baum aufgeklappt.

Wenn die Datei keine Metadaten enthalt, erscheint rechts neben dem Dateinamen die entsprechende Nachricht.

Auf der unteren Leiste gibt die Beschreibung zusatzliche Information fur die ausgewahlte Zeile. Die Leiste ist in der Grundeinstellung sichtbar, kann aber geschlossen werden, indem man auf das X rechts oben in der Leiste klickt. Um die Leiste wieder aufzurufen, klickt man mit der rechten Maustaste auf die gewunschte Zeile im Kontextmenu.

NB:
  • Im Dialogfeld Optionen Dialoge kann man die Einstellung "Metadaten beim Anzeigen aufklappen" aktivieren.
  • Wenn man ein neues Bild zu dem Fotoalbum hinzufugt, werden in die Metadaten fur das Automatisches Ubernehmen der Bildeigenschaften genutzt. Dazu muss die entsprechende Einstellung in Optionen Dialoge aktiviert werden.

Siehe auch:

Metadaten
Browser Modus
Arbeiten im Browser Modus
Automatisches Ubernehmen der Bildeigenschaften


Dialog Bearbeiten Eigenschaften Bild :: Anzeigen

Hier kann man jedes ausgewahlte Bild in der gewahlten Skalierung sehen. Das Bild (wenn mehr als ein Bild ausgewahlt ist) kann in der Dropdown Liste ausgewahlt werden.

Zoom in

Vergro?ert das Bild je nach Einstellungen in Optionen Anzeigemodus.

Zoom out

Verkleinert das Bild je nach Einstellungen in Optionen Anzeigemodus.

Tatsachlicher Zoom

Damit kann die Skalierung auf 1:1 eingestellt werden.

Dem Fenster anpassen

Hier wird das Bild so skaliert, dass es in das Fenster passt. Dies ist die Standardeinstellung.

NB: Dieser Befehl kann auch uber das Popup-Fenster ausgefuhrt werden, das beim Drucken der rechten Maustaste erscheint.

Man kann Bilder scrollen (falls das Bild gro?er als das Fenster ist), indem die linke Maustaste gedruckt gehalten wird. Zudem konnen Sie die Bilder mit dem Mausrad zoomen.

NB: Um das Anzeigen der Bilder zu beschleunigen, wird stets die Nearest Neighbor-Methode zum Resampling verwendet.

Siehe auch:

Browser Modus
Arbeiten im Browser Modus


Dialog Bearbeiten Eigenschaften Bild :: Daten

Bildeigenschaften

Dieser Dialog erlaubt das Bearbeiten der meisten bearbeitbaren Bilddaten:

  • Datum - Bilddatum. Das Datumsformat hangt von den regionalen Windows-Einstellungen ab. Sind keine Daten zum Bilddatum verfugbar, bleibt dieses Feld frei.
  • Zeit - Bildzeit. Sind keine Daten zur Bildzeit verfugbar, bleibt dieses Feld frei.
  • Ort - Ort der Aufnahme. Eine Auswahlliste zeigt alle bereits gespeicherten Informationen an.
  • Filmnummer/-name - Nummer, die der Film wahrend der Ausarbeitung erhalt, oder der Name, den Sie selbst dem Film gegeben haben. Eine Auswahlliste zeigt alle bereits gespeicherten Informationen an.
  • Frame Nummer - keine Angaben.
  • Autor - Name des Autors oder des Fotografen. Eine Auswahlliste zeigt alle bereits gespeicherten Informationen an.
  • Beschreibung - eine kurze Bildbeschreibung, die wahrend des Betrachtens der Bilder angezeigt werden kann.
  • Anmerkungen - alle Daten, die in kein anderes Feld passen.
  • Medienname/-code - Medienname der Bilddatei (z.B.Nummer der CD-ROM ). Eine Auswahlliste zeigt alle bereits gespeicherten Informationen an.

Detailliertere Informationen zu Bilddaten finden Sie hier.

Eine Vielzahl von Bildern gleichzeitig bearbeiten

PhoA ermoglicht das gleichzeitige Bearbeiten von Bilddaten fur eine beliebige Zahl von Bildern. Dafur gilt die folgende einfache Vorgangsweise:

  • Sind einige Bildeigenschaften bei allen ausgewahlten Bildern gleich, bleibt das dazugehorige Eingabefeld wei? (bzw. hat die Farbe des Bildschirmhintergrunds).
  • Ist eine Bildeigenschaft bei den ausgewahlten Bildern verschieden, bleibt das dazugehorige Eingabefeld grau (oder hat die Farbe des 3D-Objekts). Verandern Sie die Daten in diesem Feld, so werden diese Daten fur alle ausgewahlten Bilder ubernommen und das Feld wird wei?. Sonst bleiben die Bilddaten unverandert (und naturlich auch verschieden).

Anschlie?end kann eine Bildersuche aufgrund dieser Daten vorgenommen werden.

Diese Operation unterstutzt die Ruckgangig-Funktion

Siehe auch:

Bildeigenschaften
Automatisches Ubernehmen der Bildeigenschaften
Browser Modus
Arbeiten im Browser Modus


Dialog Bearbeiten Eigenschaften Bild :: Schlüsselwörter

Zu jedem Bild wird eine Schlüsselwortliste in den Eigenschaften gespeichert. In der Regel ist dies eine Liste von Personen, GegenstÃ¤nden oder Ereignissen, die auf einem Foto abgebildet sind.

Der Vorteil von Schlüsselwörtern gegenüber einfachem Text ist der, dass man sie nicht eintippen muss - man kann sie aus der Liste wÃ¤hlen. Darüber hinaus möchte man sie vielleicht unter Ansicht in einer Gruppierung anlegen und zuschauen, wie sich diese von Jahr zu Jahr verÃ¤ndert (nebenbei bemerkt eine hochinteressante Beobachtung). Auch zeigt die Liste der Schlüsselwörter die Anzahl der Bilder an, die mit einem bestimmten Schlüsselwort verlinkt sind.

Schlüsselwortliste

Diese Liste zeigt alle in einem geöffneten Bild des Fotoalbums eingetragenen Schlüsselwörter. Der graue Text in (runden) Klammern neben dem Schlüsselwort zeigt die Gesamtanzahl der Schlüsselworttreffer.

Wenn ein Schlüsselwort in einigen der gewÃ¤hlten Bilder vorkommt, wird dieses Schlüsselwort durch ein Symbol gekennzeichnet (durch ein HÃ¤kchen, wenn das Schlüsselwort bei allen gewÃ¤hlten Bildern vorkommt; durch ein Quadrat, je nach Stil des KontrollkÃ¤stchens, wenn das Schlüsselwort nicht bei allen gewÃ¤hlten Bildern vorkommt). AuÃŸerdem werden in Klammer zwei Zahlen angezeigt, begrenzt durch einen Slash: die erste bezeichnet die Anzahl der gewÃ¤hlten Bilder, die das Schlüsselwort verwenden, die zweite gibt an wie oft das Schlüsselwort insgesamt vorkommt.

Wenn ein Schlüsselwort in keinem der gewÃ¤hlten Bilder vorkommt, bleibt das KontrollkÃ¤stchen leer.

Bei der einfachen Suche, unterscheidet das Programm nicht zwischen den zwei Schreibweisen qwerty and QwErTy.

Hier können auch Schlüsselwörter hinzugefügt werden. Zur Unterscheidung bereits bestehender und neu hinzugefügter Schlüsselwörter werden diese in verschiedenen Farben gekennzeichnet:

  • Bereits bestehende Schlüsselwörter sind schwarz und mit einem Schlüsselicon gekennzeichnet.
  • Neu hinzugefügte Schlüsselwörter sind blau und mit einem Sternsymbol versehen.

Anwendungsmöglichkeiten

Die Benutzung dieses Fensters ermöglicht es Ihnen, durch die Schaltflächen der Menüleiste die Schlüsselwortlisten der gewählten Bilder zu verändern.

NB: Die gleichen Anwendungen sind über das POP-UP Menü (rechte Maustaste) möglich.

Nur ausgewählte

Wenn diese Funktion aktiviert ist, gibt die Liste nur die ausgewählten (mit Häkchen markierten) Schlüsselwörter wieder; andernfalls wird die gesamte Schlüsselwortliste angezeigt. Diese Einstellung betrifft nur die Darstellung der Schlüsselwortliste, verändert die Liste selbst jedoch nicht.

Hinzufügen

Fügt der Liste ein neues Schlüsselwort hinzu, markiert es blau und beginnt die Bearbeitung. Wenn Sie die Markierung nicht entfernen, bevor Sie auf OK klicken, wird das Schlüsselwort allen ausgewählten Bildern hinzugefügt.

Bearbeiten

So kommt man in den Bearbeitungsmodus. Anmerkungen:

  • Nur Schlüsselworte, die bei gewählten Bildern enthalten sind, werden ersetzt.
  • Wenn ein Schlüsselwort in keinem der gewählten Bilder enthalten ist (es hatte keine Häkchen-Markierung), bleibt das Schlüsselwort unverändert.
  • Wenn das Schlüsselwort mit Häkchen markiert wird, wird das neue Schlüsselwort zu allen gewählten Bilder hinzugefügt, auch wenn sie das alte vorher nicht enthielten.
  • Wenn bei einem Schlüsselwort die Häkchen-Markierung entfernt wird, wird das alte Schlüsselwort einfach aus allen gewählten Bildern entfernt.
NB: Schlüsselwort-Bearbeitungen sind auch möglich, wenn man mit der Maus auf bereits ausgewählte Schlüsselwörter klickt.

Alle auswählen

Wählt alle Schlüsselwörter der Liste aus.

Nichts auswählen

Entfernt die Häkchen-Markierungen aller Schlüsselwörter.

Umkehren

Wandelt die bestehenden Markierungen ins Gegenteil um.

NB: Wo ist die Löschtaste? Es gibt keine vorgegebene Löschtaste: wenn Sie ein Schlüsselwort von einem Bild entfernen möchten, entfernen Sie einfach die Häkchen-Markierung.

Diese Operation unterstützt die Rückgängig-Funktion

Siehe auch:

Bildeigenschaften
Browser Modus
Arbeiten im Browser Modus


Dialog Bearbeiten Eigenschaften Bild :: Gruppen

Hier werden die Gruppen, zu denen die Bilder gehoren, graphisch angezeigt. Au?erdem konnen Bilder leicht aus Gruppen entfernt oder zu Gruppen hinzugefugt werden.

Ahnlich wie bei der Funktion Schlusselworter konnen Anderungen durch Anklicken des Kontrollkastchens vorgenommen werden, die Zahlen in den Klammern haben die gleiche Bedeutung wie im restlichen Programm: eine Zahl gibt die Anzahl der Bilder in der Gruppe an; wenn zwei Zahlen durch einen Schragstrich getrennt werden, steht die erste Zahl fur die Anzahl der markierten Bilder in der Gruppe, die zweite fur die Gesamtanzahl der Bilder.

Das Kontrollkastchen funktioniert wie in der Funktion Schlusselworter: Wenn keines der markierten Bilder in einer Gruppe enthalten ist, ist das Kontrollkastchen leer. Wenn manche der markierten Bilder enthalten sind, und die ubrigen nicht, dann ist das Kontrollkastchen grau. Wenn alle markierten Bilder in der Gruppe enthalten sind, dann erscheint ein Haken im Kontrollkastchen.

Diese Funktion kann nach Belieben angewandt werden.

NB: Es ist nicht moglich Bilder keiner Gruppe zuzuordnen - hierzu ware es notig Bilder zu loschen, das ist jedoch ein anderer Arbeitsschritt. Daher blockiert PhoA diese Aktion und ein Hinweis erscheint.

Diese Operation unterstutzt die Ruckgangig-Funktion

Siehe auch:

Browser Modus
Arbeiten im Browser Modus


Dialog Bilder sortieren

Diese Funktion ermoglicht die Neuanordnung von Bildern in der aktuellen Gruppe oder in allen Gruppen des Fotoalbums basierend auf ihren Eigenschaften.

Wenn keine aktuelle Gruppe vorhanden ist, kann nur das ganze Fotoalbum sortiert werden.

Liste der Sortierkriterien

Die Sortierreihenfolge wird durch die Sortierkriterien bestimmt; eine beliebige Anzahl an Kriterien kann eingegeben werden.

Jedes Kriterium beinhaltet eine Bildeigenschaft und eine Sortierrichtung (aufsteigend / absteigend). Kriterien werden automatisch hinzugefugt, wenn eine Eigenschaft, nach der sortiert werden soll, ausgewahlt wird.

Um die Liste der Bildeigenschaften anzuzeigen, klicken sie auf den Pfeil links neben dem Suchkriterium oder auf die Leertaste, wenn die linke Spalte markiert ist.

Um die Sortierrichtung zu andern, klicken sie auf die rechte Spalte (Richtungsindikator) oder drucken Sie die Leertaste wenn die rechte Spalte markiert ist.

Die Kriterien auf der Liste konnen durch Drag'n Drop oder mit Hilfe der Tastenkombinationen Strg+Nach oben and Strg+Nach unten neu angeordnet werden.

Zurucksetzen

Setzt alle Sortierungskriterien auf die Standardeinstellung zuruck.

Diese Operation unterstutzt die Ruckgangig-Funktion

Siehe auch:

Browser Modus
Arbeiten im Browser Modus


Dialog Thumbnails erneuern

Die Thumbnails mussen jedes Mal erneuert werden, wenn ihre Parameter (die in Eigenschaften: Fotoalbum festgelegt sind) verandert werden: Abmessungen bzw. Qualitat. In diesem Fall mussen neue Thumbnails mit neuen Einstellungen geschaffen werden. Diese Funktion ist auch nutzlich, wenn sich die Bilddateien andern.

Das Dialogfeld Thumbnails erneuern bietet folgende Bearbeitungsmoglichkeiten:

  • fur ausgewahlte Bilder - die Thumbnails werden nur fur die im rechten PhoA Fenster markierten Bilder erneuert;
  • alle Bilder in der aktuellen Gruppe - die Thumbnails werden nur fur die im PhoA Baum markierte Gruppe erneuert;
  • alle Bilder im Fotoalbum - alle Thumbnails werden erneuert.

Wahrend der Bildbearbeitung zeigt PhoA sowohl den Bearbeitungsstatus als auch den Dateinamen des aktuellen Bildes an; die Erneuerung kann jederzeit abgebrochen werden.

Siehe auch:

Bild hinzufugen Assistent
Dialog Bearbeiten Eigenschaften Bild


Dialog Bildoperationen

Der Dialog Bildoperationen ermoglicht fortgeschrittenes Bilderverwalten mit ausgewahlten Bildern und einer der Bildgruppen des Fotoalbums (au?er der aktuellen). Folgende Bildoperationen sind moglich:

  • Ausgewahlte Bilder in die unten angegebene Gruppe verschieben (wie Bilder in diese Gruppe ziehen mittels Drag & Drop);
  • Ausgewahlte Bilder in die unten angegebene Gruppe kopieren (wie Bilder in diese Gruppe ziehen mittels Drag & Drop bei gleichzeitigem gedruckt halten von Strg);
  • Ausgewahlte Bilder aus der unten angegebenen Gruppe loschen (alle Bilder in der gewahlten Gruppe, die mit den gewahlten Bildern identisch sind, werden geloscht);
  • Nur ausgewahlte Bilder in der unten angegebenen Gruppe lassen (alle Bilder der gewahlten Gruppe, die nicht mit den gewahlten Bildern identisch sind, werden geloscht);

Diese Funktion erlaubt das Durchfuhren zusatzlicher Verwaltungsaufgaben, um den Inhalts eines Fotoalbums neu zu ordnen (z.B. konnen doppelte Bilder aus anderen Gruppen entfernt werden oder Bilder von einer Gruppe in eine andere kopiert werden.)

Bildoperationen unterstutzt die Ruckgangig-Funktion.

Siehe auch:

Tastenkombinationen und Mausbefehle
Arbeiten im Browser Modus


Fotoalbum: Statistiken

Diese Funktion berechnet Informationen zum Fotoalbum, der darin enthaltenen Gruppen und Bilder und zeigt diese in einer Übersicht an.

In Fotoalbum: Statistiken werden folgende Felder angezeigt:
Name | Beschreibung
Fotoalbum Datei | Die Eigenschaften von Fotoalbum-Dateien werden ähnlich dargestellt wie die Eigenschaften von Bilddateien. In diesem Feld steht zudem die aktuelle Fassung der Fotoalbumdatei, d.h. es wird angezeigt, um welche Version es sich bei der geladenen Datei handelt.
Anzahl verschiedener Bilder | Zeigt an, wie viele verschiedene Bilder im Fotoalbum vorhanden sind.
Anzahl untergeordneter Gruppen | Zeigt die Anzahl der Gruppen im Fotoalbum an.
Anzahl der Bilder in dieser Gruppe | Anzahl der Bilder, die nur in diesem Fotoalbum vorhanden sind.
Gesamtzahl aller Bilder | Gesamtzahl aller Bilder (ohne genauere Angaben) in allen im Fotoalbum vorhandener Gruppen.
Gesamtzahl verschiedener Bilder | Gibt die Gesamtzahl der verschiedenen Bilder in der Gruppe Fotoalbum und allen untergeordneten Gruppen an.
Gesamtgröße aller Bilder | Gibt (in Summe) die Dateigröße aller Bilddateien an, die in der Gruppe Fotoalbum und deren untergeordneten Gruppen vorhanden sind.
Durchschnittliche Dateigröße | Gibt die durchschnittliche Dateigröße der Bilder an, die in der Gruppe Fotoalbum und deren untergeordneten Gruppen vorhanden sind.
Gesamtgröße aller Thumbnails | Gibt (in Summe) die Größe der Thumbnails aller Bilder an, die in der Gruppe Fotoalbum und deren untergeordneten Gruppen vorhanden sind.
Durchschnittliche Thumbnailgröße | Berechnet die durchschnittliche Größe der Thumbnails aller im Fotoalbum vorhandener Bilder.
Größte Datei | Name der größten Bilddatei (von allen im Fotoalbum vorhandenen Bilddateien).
Größe der größten Datei | Zeigt die Anzahl der Bytes der größten Bilddatei an.
Kleinste Datei | Name der kleinsten Bilddatei (von allen im Fotoalbum vorhandenen Bilddateien).
Größe der kleinsten Datei | Zeigt die Anzahl der Bytes der größten Bilddatei an.

Ist in der Baumstruktur eine Bildgruppe markiert, werden zusätzlich all die oben genannten Felder angezeigt (mit Ausnahme von Dateiname und Anzahl der Bilder im Fotoalbum) - mit Informationen zu der ausgewählten Gruppe!

Siehe auch:

Browser Modus
Arbeiten im Browser Modus


Bilder suchen Dialog

PhoA verfügt über ein ausgeklügeltes Suchwerkzeug. Um den Bilder suchen Dialog anzuzeigen, wählen Sie in der Menüleiste Tools | Suchen... oder drücken Sie die F3 Taste im Browser Modus.

Liste der Suchkriterien

Bestimmen Sie die Suchkriterien in der Tabelle mit den folgenden Spalten:

  • Bildeigenschaften - Wählen Sie aus der 1. Spalte eines der suchbaren Bildeigenschaften aus.
  • Status des Kriteriums - Wählen Sie in der 2. Spalte den zutreffenden Status aus. Die Liste der Möglichkeiten hängt davon ab, um welche Datentypen es sich bei den Bildeigenschaften handelt.
  • Wert des Kriteriums - Tragen Sie in die 3. Spalte den Wert ein, der mit der Bildeigenschaft verglichen werden soll.

Mit den Pfeiltasten können Sie in der Tabelle navigieren. Zum Erweitern der Dropdown-Liste verwenden Sie die Tastenkombination Alt+Nach-Unten-Taste.

Werte des Kriteriums können in der Dropdown-Liste mit früheren Eingaben ausgewählt werden.

Suchen

Startet die Bildsuche

Beim Suchvorgang gefundene Bilder (falls vorhanden) befinden sich im Ordner Suchergebnisse, der am Ende des Gruppenbaums angezeigt wird. Der Ordner Suchergebnisse hat die gleichen Eigenschaften und Funktionen wie gewöhnliche Bildgruppenordner, außer dass keine Bilder hinzufügt oder entfernt werden können.

Zurücksetzen

Leert alle Eingabefelder und setzt alle Werte auf ihre Grundeinstellungen zurück.

Datentypen der Bildeigenschaften

Wie aus der Tabelle der Bilddaten hervorgeht, verwendet PhoA folgende Datentypen als Werte der Bildeigenschaften:
Datentyp | Beschreibung & Kriterien
Integer- oder Ordinalwerte | Ein ganzer Wert kann im Vergleich mit anderen auf Gleichheit, Ungleichheit etc. überprüft werden.
Dateiname | Nach dem Dateinamen kann mit Hilfe einer Maske gesucht werden. Die Maske ist nach den üblichen Regeln aufgebaut: ? - jedes Zeichen, * - beliebige Anzahl von Zeichen; außerdem können Sie in eckigen Klammern Zeichenketten festlegen, z.B. [A-Z].
Zeichenfolge | Alle Buchstaben. Es wird nach einer Zeichenfolge oder Teilzeichenfolge gesucht, unabhängig von Groß- oder Kleinschreibung.
Pixelformat | Kein suchbarer Datentyp.
Datum | Kriterien sind ähnlich wie beim ersten Eintrag.
Zeit | Kriterien sind ähnlich wie beim ersten Eintrag.
Liste von Zeichenfolgen | Schlüsselwörter können manuell oder durch Klicken der "..." Schaltfläche im Eintragsfeld der Liste eingegeben werden.

Das Programm wählt jene Bilder aus, die mit allen Suchkriterien übereinstimmen (d.h., der logische Operator UND kommt hier zum Einsatz).

Um ein Kriterium außer Kraft zu setzten, löschen Sie einfach den eingetragenen Wert.

Siehe auch:

Bildeigenschaften
Arbeiten im Browser Modus
Tastenkombinationen und Mausbefehle
Bilder hinzufügen Assistent
Bearbeiten Bildeigenschaften Dialog


Dialog Schlüsselwörter auswählen

Das Dialogfeld kann durch Anklicken der Schaltfläche Schlüsselwörter in Bilder suchen geöffnet werden. Das Programm zeigt die gesamte Liste der Schlüsselwörter, die im Fotoalbum verwendet werden - in ansteigender Reihenfolge.

Hier können die gewünschten Schlüsselwörter ausgewählt werden.

Zurücksetzen

Löscht alle ausgewählten Schlüsselwörter.

NB: Wenn ein Schlüsselwort Leerzeichen oder Beistriche enthält, wird es zwischen Anführungszeichen gesetzt, da es sich bei diesen Zeichen um Begrenzungszeichen handelt.

Siehe auch:

Dialog Bilder suchen
Schlüsselwörter
Bildeigenschaften


Dialog Eigenschaften Fotoalbum Ansichten

Dieses Dialogfeld dient dem Hinzufugen und Bearbeiten der Ansichteneigenschaften.

Der Name der Ansicht sollte uber ihre Anwendung Auskunft geben; die Gruppierungsordnung und die Sortierreihenfolge bestimmen die Anordnung der Bilder innerhalb dieser Ansicht.

Genauere Informationen daruber bietet dieses Kapitel.

Siehe auch:

Arbeiten im Browser Modus


Dialog Bildgruppe auswahlen (Menu Anzeigen)

Dieser Dialog dient der Auswahl einer Gruppe, in der die Ordnerhierarchie dieser Ansicht abgelegt werden soll.

Der gesamte Ordner und die Anordnung der Bilder wird in die angegebene Fotoalbumgruppe kopiert (Es kann auch das Fotoalbum selbst sein). Danach konnen Sie die Gruppen und Bilder je nach Wunsch bearbeiten und anordnen.

Siehe auch:

Arbeiten mit Ansichten
Arbeiten im Browser Modus


Tastenkombinationen und Mausbefehle

Fast alle Vorgange konnen in PhoA auf mehrere Arten durchgefuhrt werden: durch Auswahl eines Befehls im Hauptmenu, Anklicken einer Schaltflache in der Menuleiste (nur im Browser Modus), durch Eingabe einer Tastenkombination, Auswahl eines Befehls aus dem Popup-Menu oder auch mit der Maus. Nachstehend finden Sie Tastenkombinationen und Mausbefehle fur die zwei Hauptbetriebsarten: im Browser Modus, und im Anzeigemodus.

Browser Modus

Tastatur

Tastenkombination | Vorgang | Beschreibung
Strg+N | Neues Fotoalbum anlegen | Loscht alle Informationen des Fotoalbums sowie Gruppen und Bilder.
Strg+O | Fotoalbumdatei offnen | Ruft den Dialog "Datei 'Fotoalbum' offnen" auf, ladet das Fotoalbum zur Bearbeitung oder Ansicht.
Strg+S | Fotoalbumdatei speichern | Speichert die geoffnete Fotoalbumdatei auf Festplatte.
F12 | Speichert das Fotoalbum in eine andere Datei. | Offnet den Dialog 'Fotoalbum Datei speichern als', schreibt das Fotoalbum in die ausgewahlte Datei. Die ausgewahlte Datei wird jeweils zur aktuellen Datei.
Alt+Einfg | Gruppe erstellen | Erstellt einen Unterordner zum gerade markierten, ubergeordneten Ordner, benennt ihn mit dem vorgegebenen Namen 'Neue Gruppe', der nun bearbeitet werden kann.
Einfg | Bilder hinzufugen | Offnet den 'Bilder hinzufugen Assistenten (Bilder werden der ausgewahlten Gruppe hinzugefugt).
Entf | Entfernen | Entfernt Gruppen oder gerade markierte Bilder nach Bestatigung (entsprechend der aktuellen Auswahl).
Strg+Z oder Alt+Rucktaste | Ruckgangig | Macht den zuletzt im Fotoalbum ausgefuhrten Befehl ruckgangig.
Strg+X oder Umschalttaste+Entf | Ausschneiden | Schneidet markierte Bilder aus und legt sie in die Zwischenablage (die ausgeschnittenen Bilder konnen spater zu einer anderen Gruppe hinzugefugt werden).
Strg+C oder Strg+Einfg | Kopieren | Kopiert markierte Bilder in die Zwischenablage (die kopierten Bilder konnen spater einer anderen Gruppe hinzugefugt werden).
Strg+V oder Umschalttaste+Einfg | Einfugen | Bilder werden von der Zwischenablage in die aktuelle Gruppe abgelegt (gilt nur fur mit PhoA abgelegte Bilder).
Alt+Eingabetaste | Bearbeiten | Ruft die Dialoge Eigenschaften Fotoalbum, Eigenschaften Bild(er) auf, oder offnet den Gruppennamen zur Bearbeitung (entsprechend der aktuellen Auwahl).
Strg+F3 | Bilder sortieren | Ruft den Dialog Bilder sortieren auf.
Strg+A | Alles auswahlen | Markiert alle Bilder der aktiven Gruppe.
Strg+D | Nichts auswahlen | Entfernt Markierung von allen Bildern der aktiven Gruppe.
Strg+Eingabetaste | Anzeigen | Offnet fur das ausgewahlte Bild den Anzeigemodus.
F4 | Optionen | Zeigt den Dialog Optionen an.
F8 | Statistiken | Berechnet und zeigt Fotoalbum Statistiken an.
Strg+R | Thumbnails erneuern | Offnet den Dialog Thumbnails erneuern.
Strg+F2 | Bildoperationen | Offnet den Dialog Bildoperationen.
F3 | Suchen | erlaubt die Suche nach Bildern.
Strg+F1 | Uber | Informiert uber aktuelle Version, Copyright und PhoA Homepage.
F1 | Hilfethemen | Offnet die PhoA Hilfe.
Pfeiltasten | Auswahl andern | Andert die Markierung innerhalb des Baumdiagramms oder der Bilderliste (abhangig vom gerade aktivierten Fenster).
Pos1 oder Strg+Bild-nach-oben-Taste | Erstes Element | Markiert das erste Element des Ordners/der Bilderliste (abhangig vom gerade aktivierten Fenster).
Ende oder Strg+Bild-nach-unten-Taste | Letztes Element | Markiert das letzte Element des Ordners/der Bilderliste (abhangig vom gerade aktivierten Fenster).
Bild-nach-oben-Taste | vorherige Seite | Bild nach oben scrollen.
Bild-nach-unten-Taste | Nächste Seite | Bild nach unten scrollen.
Umschalttaste+Pfeiltasten | Auswahl mehrerer Bilder | Wählt eine Abfolge von Bildern aus (Abfolge beginnt vor dem markierten Bild bzw. endet nach dem markierten Bild).
Umschalttaste+Pos1 oder Umschalttaste+Strg+Bild-nach-oben-Taste | Auswahl vom markierten Bild bis zum Beginn der Bilderliste | Auswahl vom markierten Bild bis zum Beginn der Bilderliste.
Strg+Ende oder Umschalttaste+Strg+Bild-nach-unten-Taste | Auswahl vom markierten Bild bis zum Ende der Bilderliste | Auswahl vom markierten Bild bis zum Ende der Bilderliste.
Umschalttaste+Bild-nach-oben-Taste | Bild-nach-oben-Taste auswählen | Wählt alle Bilder vom markierten Bild bis zum ersten Bild der Liste aus.
Umschalttaste+Bild-nach-unten-Taste | Bild-nach-unten-Taste auswählen | Wählt alle Bilder vom markierten Bild bis zum letzten Bild der Liste aus.
Strg+G | Bildgruppen | Zeigt das Fotoalbum-Baumdiagramm an (sofern Ansicht geöffnet).
Umschalttaste+Alt+Einfg | neue Ansicht | Ruft das Dialogfenster Eigenschaften:Fotoalbum Ansicht auf.
Umschalttaste+Alt+Entf | Ansicht löschen | Entfernt die aktuelle Ansicht aus dem Fotoalbum.
Umschalttaste+Alt+Eingabetaste | Ansicht bearbeiten | Öffnet das Dialogfenster Eigenschaften:Bild.
Umschalttaste+Alt+G | Gruppe erstellen | Öffnet das Dialogfenster Gruppe erstellen um Ansichten zu plazieren.

Maus

Tastenkombination | Vorgang | Beschreibung
Rad | Bildlauf | Scrollt Baumdiagramm oder Bilderliste (abhängig davon, welches der beiden gerade aktiviert ist).
Linke Maustaste klicken | Einmaliges Klicken | Wählt einzelne Gruppen oder einzelne Bilder aus (abhängig davon, welches gerade aktiviert ist).
Rechte Maustaste klicken | Kontextmenü | Kontextmenü aufrufen
Strg+Linke Maustaste klicken | Wählt mehrere Bilder aus | Wählt einzelne Bilder aus oder macht die Auswahl rückgängig.
Strg+Linke Maustaste klicken | Wählt mehrere Bilder aus | Wählt Bilder aus (vom markierten bis zum angeklickten).
Mit gedrückter linker Maustaste ziehen in den Bereich ausserhalb der Bilder, Alt+mit gedrückter linker Maustaste ziehen | Rechteckige Auswahl | Ziehen einer rechteckigen Bildauswahlbox.
Umschalttaste+Alt+mit der linken Maustaste ziehen | Rechteckige Auswahlbox hinzufügen | Fügt aktivierte Auswahl mit rechteckiger Auswahlbox zusammen.
Zieht die ausgewählten Bilder mit der linken Maustaste in eine Gruppe | Bilder verschieben | Verschiebt die ausgewählten Bilder von der aktivierten Gruppe in die gewünschte Gruppe und gibt die Anzahl der verschobenen Bilder an.
Strg+Ziehen der ausgewählten Bilder mit der linken Maustaste in eine andere Gruppe | Kopiert Bilder | Kopiert die ausgewählten Bilder von der aktivierten Gruppe in eine andere Gruppe und gibt die Anzahl der kopierten Bilder an.
Doppelklick auf einen Knotenpunkt des Baumdiagramms | Schließen/Öffnen | Schließt oder öffnet den Knotenpunkt des Baumdiagramms.
Doppelklick auf ein Bild | Anzeigemodus | Öffnet für das ausgewählte Bild den Anzeigemodus.

Anzeigemodus

Tastatur

Tastenkombination | Vorgang | Beschreibung
Bild nach unten, Leerzeichen | Nächstes Bild | Geht weiter zum nächsten Bild.
Bild nach oben, Rücksetzen | Vorhergehendes Bild | Geht zu vorhergehendem Bild.
Anfang | Erstes Bild | Geht zu erstem Bild der Gruppe.
Ende | Letztes Bild | Geht zu letztem Bild der Gruppe.
+ (numerische Tastatur) | Vergrößern | Vergrößert das Bild mit dem Wert, der im Dialogfenster Optionen Anzeigemodus definiert wurde.
- (numerische Tastatur) | Verkleinern | Verkleinert das Bild um den Wert, der im Dialogfenster Optionen Anzeigemodus definiert wurde.
* (numerische Tastatur) | Auf die beste Größe zoomen | Verändert das Bild zur besten Größe im Ansichtsfenster.
/ (numerische Tastatur) | Auf die entsprechende Größe zoomen | Zeigt Bild in der entsprechenden Größe an (sodaß ein Pixel des Bildes einem Pixel auf dem Bildschirm entspricht).
Alt+Eingabetaste | Bearbeiten | Öffnet Dialogfenster Bild bearbeiten für das gerade angezeigte Bild.
Pause | Umschalten auf den Diashow-Modus | Aktiviert oder deaktiviert den automatisch eingestellten Diashow-Zeitmodus. Die Diashow-Parameter sind abrufbar im Dialogfenster Optionen Anzeigemodus.
F | Umschalten auf Vollbild / Fensteransicht | Wechselt zwischen Vollbild und Fensteransicht.
F5 | Bildwiederholung | Lädt das aktuelle Bild von der Datei.
F4 | Optionen | Zeigt das Dialogfenster Optionen an.
F1 | Hilfe | Zeigt Anzeigemodus Hilfe.
Eingabetaste, Esc | Beendet Anzeige | Geht zurück zu Browser-Modus.
Pfeiltasten | Bildlauf | Scrollt Bild in der vorgegebenen Richtung (für den Fall, dass das Bild größer als die Fensteransicht ist).
Umschalttaste+Pfeiltasten | Genauer Bildlauf | Langsamer Bildlauf in der vorgegebenen Richtung (für den Fall, dass die Bildgröße nicht mit der Fensteransicht übereinstimmt).
Strg+Pfeiltasten | Schneller Bildlauf | Schneller Bildlauf in der vorgegebenen Richtung (für den Fall, dass die Bildgröße nicht mit der Fensteransicht übereinstimmt).
Strg+I | Öffnet Fenster zur Eingabe von Bildinformationen | Zeigt Schaltflächen an, mit denen die Bildgröße verändert oder das Bild bewegt werden kann. Durch neuerliche Verwendung der Tastenkombination oder durch Mausklick außerhalb des Eingabefensters wird der Modus beendet.

Maus

Tastenkombination | Vorgang | Beschreibung
Scrollradbewegung nach unten | Nächstes Bild | Geht weiter zum nächsten Bild.
Scrollradbewegung nach oben | Vorhergehendes Bild | Geht zu vorhergehendem Bild.
Mittlere Maustaste klicken, Mausrad klicken | Umschalten auf Vollbild / Fensteransicht | Wechselt zwischen Vollbild und Fensteransicht.
Rechte Maustaste klicken | Kontextmenü | Kontextmenü aufrufen
Strg+Scrollradbewegung nach oben | Vergrößern | Vergrößert das Bild mit dem Wert, der im Dialogfenster Optionen Anzeigemodus definiert wurde.
Strg+Scrollradbewegung nach unten | Verkleinern | Verkleinert das Bild um den Wert, der im Dialogfenster Optionen Anzeigemodus definiert wurde.
Ziehen mit gedrückter linker Maustaste | Bildlauf | Scrollt Bild in der vorgegebenen Richtung (für den Fall, dass das Bild größer als die Fensteransicht ist).


Optionen :: Allgemein

Benutzeroberfläche

Sprache der Benutzeroberfläche

Zur Zeit verfügbare Sprachen der Benutzeroberfläche Russisch, Deutsch, Englisch und Portugiesisch.

Verwendete Schrift

Die hier eingestellte Schriftart wird in allen PhoA Fenstern verwendet.

Tooltip Anzeigedauer

Tooltip Anzeigedauer in Millisekunden.

Anzahl der zuletzt geöffneten Dateien

Anzahl der zuletzt geöffneten Dateien die im Menü Datei angezeigt werden.

Symbolleisten

Größe der Schaltflächen in der Symbolleiste

Hier kann die Größe der Schaltflächen in der Symbolleiste eingestellt werden.

Verschieben der Symbolleiste

Hier kann man festlegen, wie und ob die Symbolleiste verschoben werden kann.

Bäume/Listen

Animiertes auf-/zuklappen

Wenn aktiviert, werden Bäume/Listen animiert auf-/zugeklappt.

Ein Klick auf das Mausrad startet den Autopanning Modus

Wenn aktiviert, ruft ein Klick auf das Mausrad den Autopanning Modus auf.

Auswahl zentrieren

Wenn aktiviert, wird der ausgewählte Eintrag innerhalb der Liste im Fenster zentriert.

Zunehmende Suche während der Eingabe

Wenn aktiviert, passt sich die Ergebnisliste fortlaufend an die Eingabe im Suchfenster an.

Wartezeit bei zunehmender Suche

Hier kann man die Zeit, in Millisekunden, zwischen zwei Eingaben festlegen, die als eine zusammenhängende zunehmende Suche gesehen werden.

Stil der auf-/zuklappen-Buttons

Hier kann man aus zwei verschiedenen Stilen für auf-/zuklappen Buttons auswählen (nicht-XP Systeme).

Stil der Node Checkboxen

Hier kann man aus verschiedenen Checkboxstilen auswählen (nicht-XP Systeme).

Stil des Rechtecks bei Mehrfachauswahl

Hier kann man den Stil des Rechtecks bei Mehrfachauswahl in Listen einstellen (nicht-XP Systeme).

Siehe auch:

Optionen :: Allgemein
Optionen :: Anzeigemodus
Optionen :: Dialoge


Optionen :: Browser Modus

Thumbnail Fenster

Hintergrundfarbe

Zum Bestimmen der Hintergrundfarbe des Thumbnailfensters

Drag & Drop

Aktivieren und Deaktivieren der Drag & Drop Funktion für Thumbnails.

Thumbnail Tooltips anzeigen

Diese Funktion aktiviert Pop-up Tooltips für Thumbnails wenn die Maus eine Zeit lang ruhig über einem Thumbnail gehalten wird. Diese Tooltips zeigen die Bildeigenschaften (siehe unten). Obwohl diese Funktion meistens sehr nützlich ist, irritiert sie manche Benützer.

In Tooltips anzeigen

Die Liste der Bildeigenschaften, die in den Thumbnail Tooltips angezeigt werden können.

Auf den Thumbnails angezeigte Bilddetails

Mit Hilfe dieser Option kann ausgewählt werden, ob und welche Bildeigenschaften in den verschiedenen Ecken des Thumbnails angezeigt werden sollen.

Dicker Thumbnailrand

Bei Aktivierung werden die Ränder der Thumbnails dicker.

Thumbnails bei der Anzeige zwischenspeichern

Da Thumbnails im JPEG Format gespeichert werden, müssen sie zur Anzeige entschlüsselt werden; daher kann das Aufrufen einige Zeit in Anspruch nehmen (besonders wenn mehrere Thumbnails gleichzeitig aufgerufen werden und der PC nicht besonders schnell ist). Deshalb ermöglicht der Zwischenspeicher, die entschlüsselten Thumbnails in einem speziellen Speicher zwischenzuspeichern. (nachdem sie einmal aufgerufen wurden). Diese Funktion benötigt allerdings etwas mehr Speicherplatz.

Größe des Thumbnail Zwischenspeichers

Maximale Thumbnailanzahl im Zwischenspeicher

Resampling Filter

Auswahl des Interpolierungsfilters der für das Resampling von Quellbildern beim Erstellen von Thumbnails verantwortlich ist.

Maximale mögliche Schritte für "Rückgängig"

Auswahl der Größe des "Rückgängig" Speichers, der dazu dient, Änderungen rückgängig zu machen die am Fotoalbum vorgenommen wurden. Nur eine bestimmte Anzahl von aufeinanderfolgenden Änderungen kann rückgängig gemacht werden (wenn der Speicher voll ist, werden die Daten der ältesten Änderungeun gelöscht). Je Größer der Speicher, desto mehr Speicherplatz wird benötigt. (Die Änderungen, die den meisten Speicherplatz beanspruchen, sind das Löschen und Verschieben von Bildern).

Siehe auch:

Optionen :: Allgemein
Optionen :: Anzeigemodus
Optionen :: Dialoge


Optionen :: Anzeigemodus

Anzeigefenster immer im Vordergrund

Verhindert, dass das Fenster, auch wenn es inaktiv ist, von einem anderen uberlappt wird. Dies betrifft nur den Fenstermodus.

Vollbildmodus

Mit dem Befehl Anzeigen offnet das Programm das Bild im Vollbildmodus und verdeckt dabei die anderen Bildschirmelemente (auch die Taskleiste). Mit der Taste F oder der mittleren Maustaste kann diese Voreinstellung aufgehoben werden.

Mauszeiger im Vollbildmodus verbergen

Im Vollbildmodus wird der Mauszeiger ausgeblendet.

Hintergrundfarbe des Fensters

Bestimmt die Hintergrundfarbe des Anzeigefensters. (Voreinstellung schwarz).

Symbolleiste anzeigen

Aktiviert bzw. deaktiviert die Symbolleiste des Anzeigemodus.

Bildwechsel

Fenster an Bildgro?e anpassen

Das Fenster wird an die Bildgro?e angepasst (unter Berucksichtigung der aktuellen Skalierung). Betrifft nur den Fenstermodus.

Fenster auf dem Desktop zentrieren

Das Anzeigefenster wird auf dem Desktop zentriert. Betrifft nur den Fenstermodus.

Bild auf Fenstergro?e verkleinern

Ist ein Bild gro?er als das Anzeigefenster, wird es proportionell verkleinert (an das Fenster angepasst).

Bild auf Fenstergro?e zoomen

Ist ein Bild kleiner als das Anzeigefenster, wird es proportionell vergro?ert (an das Fenster angepasst).

Zyklische Ansicht

Ist diese Einstellung aktiviert, beginnt die Anzeige der Bilder wieder von vorne und wird endlos wiederholt.

Nachstes Bild im Voraus einlesen

Diese Funktion ermoglicht es, Bilder im Voraus einzulesen um somit schneller zum nachsten Bild wechseln zu konnen (im Hintergrund wird bereits das nachste Bild eingelesen). Dabei ist eine gro?ere Speicherkapazitat fur das Zwischenspeichern der im Hintergrund eingelesenen Bilddaten erforderlich.

Zuletzt angezeigtes Bild zwischenspeichern

Ist diese Einstellung aktiviert, wird das zuletzt angezeigte Bild nicht aus dem Speicher geloscht und somit kann schneller auf das vorherige Bild zuruckgegriffen werden. Dieser Modus erfordert eine gro?ere Speicherkapazitat fur das Zwischenspeichern der Bilddaten.

Skalieren um

Gibt die nachst gro?ere oder kleinere Skalierung an (mit den Tasten + oder - des numerischen Blocks oder mit der Scroll-Funktion der Maus bei gedruckter Strg Taste).

In der Titelleiste anzeigen

Ermoglicht die Auswahl der in der Titelleiste angezeigten Bildeigenschaften.

Resampling Filter

Wahrend dem Anzeigen der Bilder werden die Interpolationsfilter bestimmt, die fur das Resampling (Skalieren) der Quellbilder verwendet werden.

Info anzeigen

Bildeigenschaften

Bestimmt, welche Bildeigenschaften im Anzeigemodus angezeigt werden.

Schrift

Bestimmt die Schrift der Bildinformation im Anzeigemodus.

Hintergrundfarbe

Mit dieser Funktion wird die Hintergrundfarbe der Informationsleiste eingestellt. Siehe nachste Option.

Hintergrund Deckfahigkeit (0-255)

Der Wert der Deckfahigkeit reicht von 0 (transparent, d.h. es gibt keinen Hintergrund) bis 255 (schwarz); damit kann die Durchsichtigkeit der Informationsleiste eingestellt werden.

Diashow

Anzeigezeit, ms

Bestimmt die Zeitintervalle (in Millisekunden) zwischen den Bildern einer Diashow. Der Diashow-Modus wird durch das Betatigen der Pause-Taste im Anzeigemodus oder dem Diashow-Button in der Symbolleiste bzw. mittels Kontextmenu aktiviert.

Zyklisch

Ist diese Einstellung aktiviert, greift PhoA automatisch - nach dem Anzeigen des letzten Bildes im Diashow-Modus - auf das erste Bild in der Gruppe zuruck. Ist die Einstellung nicht aktiviert, wird die Diashow nach dem letzten Bild beendet.

Siehe auch:

Optionen :: Allgemein
Optionen :: Browser Modus
Optionen :: Dialoge


Optionen :: Dialoge

Bestatigungen

Vor dem Loschen von Gruppen

Wenn aktiviert, verlangt das Programm eine Bestatigung, bevor eine Gruppe geloscht wird.

Vor dem Loschen von Bildern

Wenn aktiviert, verlangt das Programm eine Bestatigung, bevor die ausgewahlten Bilder geloscht werden.

Vor dem Loschen von Ansichten

Wenn aktiviert, verlangt das Programm eine Bestatigung, bevor eine Ansicht geloscht wird.

Vor dem Speichern von Dateien alterer Versionen

Wenn aktiviert, warnt das Programm vor moglichem Datenverlust, bevor die Datei einer alteren als der aktuellen Version gespeichert wird.

Vor dem Beenden (wenn das Fotoalbum nicht verandert wurde)

Wenn aktiviert, verlangt das Programm vor dem Beenden eine Bestatigung, auch wenn nichts an dem Fotoalbum verandert wurde (wenn etwas am Fotoalbum verandert wurde, verlangt das Programm immer eine Bestatigung).

Benachrichtigungen

Nach dem Kopieren von Bildern mittels Drag'n'Drop

Wenn aktiviert, benachrichtigt das Programm nach dem Kopieren von Bildern uber die tatsachlich kopierte Anzahl von Bildern.

Nach dem Verschieben von Bildern mittels Drag'n'Drop

Wenn aktiviert, benachrichtigt das Programm nach dem Verschieben von Bildern uber die Anzahl der tatsachlich verschobenen Bilder.

Nach dem Einfugen von Bildern aus der Zwischenablage

Wenn aktiviert, benachrichtigt das Programm nach dem Einfugen der Bilder uber die tatsachlich eingefugte Anzahl von Bildern.

Bilder hinzufugen Assistent

'Datei auswahlen' Seite immer uberspringen

Wenn aktiviert, beginnt der Bilder hinzufugen Assistent PhoA sofort mit dem hinzufugen von Bildern.

Logbuch nur anzeigen wenn Fehler aufgetreten sind

Wenn aktiviert, wird das Logbuch nur angezeigt, wenn Fehler aufgetreten sind. Ansonsten schlie?t sich das Assistentenfenster sofort nach dem Hinzufugen. Wenn deaktiviert, wird das Logbuch nach jedem Hinzufugen angezeigt.

Bilddatum automatisch ubernehmen von:

Das Bilddatum wird fur neu hinzugefugte Bilder automatisch ubernommen.

Datum, falls bereits angegeben, uberschreiben

Das Programm ubernimmt automatisch das Bilddatum (uberschreibt das Datum) auch wenn das Bilddatum bereits eingegeben wurde.

Bildzeit automatisch ubernehmen von:

Das Bildzeit wird fur neu hinzugefugte Bilder automatisch ubernommen.

Zeit, falls bereits angegeben, uberschreiben

Das Programm ubernimmt automatisch die Bildzeit (uberschreibt die Zeit) auch wenn die Bildzeit bereits eingegeben wurde.

Bildeigenschaften Dialog

Dateieigenschaften beim Anzeigen aufklappen

Wenn aktiviert, werden die Dateieigenschaften auf der Eigenschaftenseite beim Anzeigen komplett aufgeklappt.

Metadaten beim Anzeigen aufklappen

Wenn aktiviert, werden die Metadaten auf der Metadatenseite beim Anzeigen komplett aufgeklappt.

Siehe auch:

Optionen :: Allgemein
Optionen :: Browser Modus
Optionen :: Anzeigemodus


Лицензионное соглашение

English version of License Agreement >>

Если обратное не указано явно, авторские права на всю документацию и программное обеспечение, включённые в состав продукта PhoA, принадлежат Дмитрию Канну.

Авторское право ©2002-2004 Дмитрий Канн. Все права сохранены.

Это программное обеспечение поставляется по принципу "as-is", без каких-либо явных или подразумеваемых гарантий. Ни при каких обстоятельствах автор не может нести ответственности за любые повреждения, возникшие по причине использования этого программного обеспечения.

Допускается свободно использовать это программное обеспечение для любой цели, в том числе для коммерческих применений, а также изменять и распространять его на вторичной основе при соблюдении следующих условий:

  1. Любое вторичное распространение продукта и его файлов должно сохранять все данные об авторском праве, имеющиеся на данный момент, а также этот список условий без каких-либо изменений.
  2. Все новые инсталляции, полученные в результате перевода ресурсов PhoA на любой язык в виде бинарных файлов должны сохранять все вхождения упомянутых авторских знаков и ссылок на сайты в Интернет, которые присутствуют в настоящее время (например, в окне "О программе").
  3. Происхождение данного продукта не должно искажаться; кроме того, при использовании программного обеспечения в поставке функционального продукта упоминание в документации об оригинальном источнике ПО категорически приветствуется.
  4. Модифицированные версии должны быть недвусмысленно помечены, как таковые, а не должны прикидываться оригинальным продуктом.

Обновления: http://phoa.narod.ru
Контактный адрес: phoa@narod.ru

Благодарности

  • Jordan Russel - TB2000 & InnoSetup
  • Alex Denisov - TBX & Graphics32
  • Mike Lischke - VirtualTree & GraphicEx
  • Jim Kueneman - VirtualShellTools

    • Переводчики

  • Dominik Mayer <dominik.mayer(at)web.de> - German
  • Cesar Boschetti <cesar(at)las.inpe.br> - Brazilian Portuguese
  • Сергей Микулин <msv(at)smit.kharkov.ua> - Ukrainian

    • Авторское право ©2002-2004 Дмитрий Канн. Все права сохранены.